## clapack 3.2.1+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(CLAPACK C)
enable_testing()
include(CTest)

if(WIN32 AND NOT CYGWIN)
  set(SECOND_SRC  ${CLAPACK_SOURCE_DIR}/INSTALL/winsecond.c)
  set(DSECOND_SRC  ${CLAPACK_SOURCE_DIR}/INSTALL/windsecnd.c)
  add_definitions(-DNO_ISATTY -DMSDOS -DUSE_CLOCK)
else()
  set(SECOND_SRC  ${CLAPACK_SOURCE_DIR}/INSTALL/second.c)
  set(DSECOND_SRC  ${CLAPACK_SOURCE_DIR}/INSTALL/dsecnd.c)
endif()
enable_testing()
option(USE_BLAS_WRAP "pre-pend f2c_ to each function in blas" OFF)
if(NOT USE_BLAS_WRAP)
# _zrotg_ seems to be missing in the wrap header
  add_definitions(-DNO_BLAS_WRAP)
endif()
include_directories(${CLAPACK_SOURCE_DIR}/INCLUDE)
add_subdirectory(F2CLIBS)
add_subdirectory(BLAS)
add_subdirectory(SRC)
add_subdirectory(TESTING)
set(CLAPACK_VERSION 3.2.1)
set(CPACK_PACKAGE_VERSION_MAJOR 3)
set(CPACK_PACKAGE_VERSION_MINOR 2)
set(CPACK_PACKAGE_VERSION_PATCH 1)
include(CPack)
export(TARGETS f2c blas lapack FILE clapack-targets.cmake)
configure_file(${CLAPACK_SOURCE_DIR}/clapack-config-version.cmake.in
  ${CLAPACK_BINARY_DIR}/clapack-config-version.cmake @ONLY)
configure_file(${CLAPACK_SOURCE_DIR}/clapack-config.cmake.in
  ${CLAPACK_BINARY_DIR}/clapack-config.cmake @ONLY)

=== INSTALL/Makefile ===
include ../make.inc
F2CLIB       = ../F2CLIBS/libf2c.a

.SUFFIXES : .o .c 
all:  testlsame testslamch testdlamch testsecond testdsecnd testieee testversion 

testlsame:  lsame.o lsametst.o
	$(CC) $(LOADOPTS)   -o testlsame lsame.o lsametst.o $(F2CLIB) -lm

testslamch: slamch.o lsame.o slamchtst.o
	$(CC) $(LOADOPTS)   -o testslamch slamch.o lsame.o slamchtst.o $(F2CLIB) -lm

testdlamch: dlamch.o lsame.o dlamchtst.o
	$(CC) $(LOADOPTS)   -o testdlamch dlamch.o lsame.o dlamchtst.o $(F2CLIB) -lm

testsecond: second.o secondtst.o
	$(CC) $(LOADOPTS)   -o testsecond second.o secondtst.o $(F2CLIB) -lm

testdsecnd: dsecnd.o dsecndtst.o
	$(CC) $(LOADOPTS)   -o testdsecnd dsecnd.o dsecndtst.o $(F2CLIB) -lm

testieee: tstiee.o
	$(CC) $(LOADOPTS)   -o testieee tstiee.o $(F2CLIB) -lm

testversion: ilaver.o LAPACK_version.o
	    $(CC) $(LOADOPTS)   -o testversion ilaver.o LAPACK_version.o $(F2CLIB) -lm

clean:
	rm -f *.o

slamch.o: slamch.c ; $(CC) $(NOOPT) -I../INCLUDE -c $< -o $@
dlamch.o: dlamch.c ; $(CC) $(NOOPT) -I../INCLUDE -c $< -o $@

.c.o: ; $(CC) $(CFLAGS) -I../INCLUDE -c $< -o $@

=== SRC/CMakeLists.txt ===
#######################################################################
#  This is the makefile to create a library for LAPACK.
#  The files are organized as follows:
#       ALLAUX -- Auxiliary routines called from all precisions
#       ALLXAUX -- Auxiliary routines called from all precisions but
#                  only from routines using extra precision.
#       SCLAUX -- Auxiliary routines called from both REAL and COMPLEX
#       DZLAUX -- Auxiliary routines called from both DOUBLE PRECISION
#                 and COMPLEX*16
#       SLASRC -- Single precision real LAPACK routines
#       SXLASRC -- Single precision real LAPACK routines using extra
#                  precision.
#       CLASRC -- Single precision complex LAPACK routines
#       CXLASRC -- Single precision complex LAPACK routines using extra
#                  precision.
#       DLASRC -- Double precision real LAPACK routines
#       DXLASRC -- Double precision real LAPACK routines using extra
#                  precision.
#       ZLASRC -- Double precision complex LAPACK routines
#       ZXLASRC -- Double precision complex LAPACK routines using extra
#                  precision.
#
#  The library can be set up to include routines for any combination
#  of the four precisions.  To create or add to the library, enter make
#  followed by one or more of the precisions desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates a library of all four precisions.
#  The library is called
#       lapack.a
#  and is created at the next higher directory level.
#
#  To remove the object files after the library is created, enter
#       make clean
#  On some systems, you can force the source files to be recompiled by
#  entering (for example)
#       make single FRC=FRC
#
#  ***Note***
#  The functions lsame, second, dsecnd, slamch, and dlamch may have
#  to be installed before compiling the library.  Refer to the
#  installation guide, LAPACK Working Note 41, for instructions.
#
#######################################################################

set(ALLAUX  maxloc.c ilaenv.c ieeeck.c lsamen.c  iparmq.c	
    ilaprec.c ilatrans.c ilauplo.c iladiag.c chla_transtype.c 
    ../INSTALL/ilaver.c ../INSTALL/lsame.c) # xerbla.c xerbla_array.c

set(ALLXAUX )

set(SCLAUX  
   sbdsdc.c 
   sbdsqr.c sdisna.c slabad.c slacpy.c sladiv.c slae2.c  slaebz.c 
   slaed0.c slaed1.c slaed2.c slaed3.c slaed4.c slaed5.c slaed6.c 
   slaed7.c slaed8.c slaed9.c slaeda.c slaev2.c slagtf.c 
   slagts.c slamrg.c slanst.c 
   slapy2.c slapy3.c slarnv.c 
   slarra.c slarrb.c slarrc.c slarrd.c slarre.c slarrf.c slarrj.c 
   slarrk.c slarrr.c slaneg.c 
   slartg.c slaruv.c slas2.c  slascl.c 
   slasd0.c slasd1.c slasd2.c slasd3.c slasd4.c slasd5.c slasd6.c 
   slasd7.c slasd8.c slasda.c slasdq.c slasdt.c 
   slaset.c slasq1.c slasq2.c slasq3.c slasq4.c slasq5.c slasq6.c 
   slasr.c  slasrt.c slassq.c slasv2.c spttrf.c sstebz.c sstedc.c 
   ssteqr.c ssterf.c slaisnan.c sisnan.c 
   ../INSTALL/slamch.c ${SECOND_SRC})

set(DZLAUX  
   dbdsdc.c 
   dbdsqr.c ddisna.c dlabad.c dlacpy.c dladiv.c dlae2.c  dlaebz.c 
   dlaed0.c dlaed1.c dlaed2.c dlaed3.c dlaed4.c dlaed5.c dlaed6.c 
   dlaed7.c dlaed8.c dlaed9.c dlaeda.c dlaev2.c dlagtf.c 
   dlagts.c dlamrg.c dlanst.c 
   dlapy2.c dlapy3.c dlarnv.c 
   dlarra.c dlarrb.c dlarrc.c dlarrd.c dlarre.c dlarrf.c dlarrj.c 
   dlarrk.c dlarrr.c dlaneg.c 
   dlartg.c dlaruv.c dlas2.c  dlascl.c 
   dlasd0.c dlasd1.c dlasd2.c dlasd3.c dlasd4.c dlasd5.c dlasd6.c 
   dlasd7.c dlasd8.c dlasda.c dlasdq.c dlasdt.c 
   dlaset.c dlasq1.c dlasq2.c dlasq3.c dlasq4.c dlasq5.c dlasq6.c 
   dlasr.c  dlasrt.c dlassq.c dlasv2.c dpttrf.c dstebz.c dstedc.c 
   dsteqr.c dsterf.c dlaisnan.c disnan.c 
   ../INSTALL/dlamch.c ${DSECOND_SRC})

set(SLASRC  
   sgbbrd.c sgbcon.c sgbequ.c sgbrfs.c sgbsv.c  
   sgbsvx.c sgbtf2.c sgbtrf.c sgbtrs.c sgebak.c sgebal.c sgebd2.c 
   sgebrd.c sgecon.c sgeequ.c sgees.c  sgeesx.c sgeev.c  sgeevx.c 
   sgegs.c  sgegv.c  sgehd2.c sgehrd.c sgelq2.c sgelqf.c 
   sgels.c  sgelsd.c sgelss.c sgelsx.c sgelsy.c sgeql2.c sgeqlf.c 
   sgeqp3.c sgeqpf.c sgeqr2.c sgeqrf.c sgerfs.c sgerq2.c sgerqf.c 
   sgesc2.c sgesdd.c sgesv.c  sgesvd.c sgesvx.c sgetc2.c sgetf2.c 
   sgetrf.c sgetri.c 
   sgetrs.c sggbak.c sggbal.c sgges.c  sggesx.c sggev.c  sggevx.c 
   sggglm.c sgghrd.c sgglse.c sggqrf.c 
   sggrqf.c sggsvd.c sggsvp.c sgtcon.c sgtrfs.c sgtsv.c  
   sgtsvx.c sgttrf.c sgttrs.c sgtts2.c shgeqz.c 
   shsein.c shseqr.c slabrd.c slacon.c slacn2.c 
   slaein.c slaexc.c slag2.c  slags2.c slagtm.c slagv2.c slahqr.c 
   slahrd.c slahr2.c slaic1.c slaln2.c slals0.c slalsa.c slalsd.c 
   slangb.c slange.c slangt.c slanhs.c slansb.c slansp.c 
   slansy.c slantb.c slantp.c slantr.c slanv2.c 
   slapll.c slapmt.c 
   slaqgb.c slaqge.c slaqp2.c slaqps.c slaqsb.c slaqsp.c slaqsy.c 
   slaqr0.c slaqr1.c slaqr2.c slaqr3.c slaqr4.c slaqr5.c 
   slaqtr.c slar1v.c slar2v.c ilaslr.c ilaslc.c 
   slarf.c  slarfb.c slarfg.c slarft.c slarfx.c slargv.c 
   slarrv.c slartv.c slarfp.c 
   slarz.c  slarzb.c slarzt.c slaswp.c slasy2.c slasyf.c 
   slatbs.c slatdf.c slatps.c slatrd.c slatrs.c slatrz.c slatzm.c 
   slauu2.c slauum.c sopgtr.c sopmtr.c sorg2l.c sorg2r.c 
   sorgbr.c sorghr.c sorgl2.c sorglq.c sorgql.c sorgqr.c sorgr2.c 
   sorgrq.c sorgtr.c sorm2l.c sorm2r.c 
   sormbr.c sormhr.c sorml2.c sormlq.c sormql.c sormqr.c sormr2.c 
   sormr3.c sormrq.c sormrz.c sormtr.c spbcon.c spbequ.c spbrfs.c 
   spbstf.c spbsv.c  spbsvx.c 
   spbtf2.c spbtrf.c spbtrs.c spocon.c spoequ.c sporfs.c sposv.c  
   sposvx.c spotf2.c spotrf.c spotri.c spotrs.c spstrf.c spstf2.c 
   sppcon.c sppequ.c 
   spprfs.c sppsv.c  sppsvx.c spptrf.c spptri.c spptrs.c sptcon.c 
   spteqr.c sptrfs.c sptsv.c  sptsvx.c spttrs.c sptts2.c srscl.c  
   ssbev.c  ssbevd.c ssbevx.c ssbgst.c ssbgv.c  ssbgvd.c ssbgvx.c 
   ssbtrd.c sspcon.c sspev.c  sspevd.c sspevx.c sspgst.c 
   sspgv.c  sspgvd.c sspgvx.c ssprfs.c sspsv.c  sspsvx.c ssptrd.c 
   ssptrf.c ssptri.c ssptrs.c sstegr.c sstein.c sstev.c  sstevd.c sstevr.c 
   sstevx.c ssycon.c ssyev.c  ssyevd.c ssyevr.c ssyevx.c ssygs2.c 
   ssygst.c ssygv.c  ssygvd.c ssygvx.c ssyrfs.c ssysv.c  ssysvx.c 
   ssytd2.c ssytf2.c ssytrd.c ssytrf.c ssytri.c ssytrs.c stbcon.c 
   stbrfs.c stbtrs.c stgevc.c stgex2.c stgexc.c stgsen.c 
   stgsja.c stgsna.c stgsy2.c stgsyl.c stpcon.c stprfs.c stptri.c 
   stptrs.c 
   strcon.c strevc.c strexc.c strrfs.c strsen.c strsna.c strsyl.c 
   strti2.c strtri.c strtrs.c stzrqf.c stzrzf.c sstemr.c 
   slansf.c spftrf.c spftri.c spftrs.c ssfrk.c stfsm.c stftri.c stfttp.c 
   stfttr.c stpttf.c stpttr.c strttf.c strttp.c 
   sgejsv.c  sgesvj.c  sgsvj0.c  sgsvj1.c 
   sgeequb.c ssyequb.c spoequb.c sgbequb.c)

set(SXLASRC  sgesvxx.c sgerfsx.c sla_gerfsx_extended.c sla_geamv.c		
   sla_gercond.c sla_rpvgrw.c ssysvxx.c ssyrfsx.c			
   sla_syrfsx_extended.c sla_syamv.c sla_syrcond.c sla_syrpvgrw.c	
   sposvxx.c sporfsx.c sla_porfsx_extended.c sla_porcond.c		
   sla_porpvgrw.c sgbsvxx.c sgbrfsx.c sla_gbrfsx_extended.c		
   sla_gbamv.c sla_gbrcond.c sla_gbrpvgrw.c sla_lin_berr.c slarscl2.c	
   slascl2.c sla_wwaddw.c)

set(CLASRC 
   cbdsqr.c cgbbrd.c cgbcon.c cgbequ.c cgbrfs.c cgbsv.c  cgbsvx.c 
   cgbtf2.c cgbtrf.c cgbtrs.c cgebak.c cgebal.c cgebd2.c cgebrd.c 
   cgecon.c cgeequ.c cgees.c  cgeesx.c cgeev.c  cgeevx.c 
   cgegs.c  cgegv.c  cgehd2.c cgehrd.c cgelq2.c cgelqf.c 
   cgels.c  cgelsd.c cgelss.c cgelsx.c cgelsy.c cgeql2.c cgeqlf.c cgeqp3.c 
   cgeqpf.c cgeqr2.c cgeqrf.c cgerfs.c cgerq2.c cgerqf.c 
   cgesc2.c cgesdd.c cgesv.c  cgesvd.c cgesvx.c cgetc2.c cgetf2.c cgetrf.c 
   cgetri.c cgetrs.c 
   cggbak.c cggbal.c cgges.c  cggesx.c cggev.c  cggevx.c cggglm.c 
   cgghrd.c cgglse.c cggqrf.c cggrqf.c 
   cggsvd.c cggsvp.c 
   cgtcon.c cgtrfs.c cgtsv.c  cgtsvx.c cgttrf.c cgttrs.c cgtts2.c chbev.c  
   chbevd.c chbevx.c chbgst.c chbgv.c  chbgvd.c chbgvx.c chbtrd.c 
   checon.c cheev.c  cheevd.c cheevr.c cheevx.c chegs2.c chegst.c 
   chegv.c  chegvd.c chegvx.c cherfs.c chesv.c  chesvx.c chetd2.c 
   chetf2.c chetrd.c 
   chetrf.c chetri.c chetrs.c chgeqz.c chpcon.c chpev.c  chpevd.c 
   chpevx.c chpgst.c chpgv.c  chpgvd.c chpgvx.c chprfs.c chpsv.c  
   chpsvx.c 
   chptrd.c chptrf.c chptri.c chptrs.c chsein.c chseqr.c clabrd.c 
   clacgv.c clacon.c clacn2.c clacp2.c clacpy.c clacrm.c clacrt.c cladiv.c 
   claed0.c claed7.c claed8.c 
   claein.c claesy.c claev2.c clags2.c clagtm.c 
   clahef.c clahqr.c 
   clahrd.c clahr2.c claic1.c clals0.c clalsa.c clalsd.c clangb.c clange.c clangt.c 
   clanhb.c clanhe.c 
   clanhp.c clanhs.c clanht.c clansb.c clansp.c clansy.c clantb.c 
   clantp.c clantr.c clapll.c clapmt.c clarcm.c claqgb.c claqge.c 
   claqhb.c claqhe.c claqhp.c claqp2.c claqps.c claqsb.c 
   claqr0.c claqr1.c claqr2.c claqr3.c claqr4.c claqr5.c 
   claqsp.c claqsy.c clar1v.c clar2v.c ilaclr.c ilaclc.c 
   clarf.c  clarfb.c clarfg.c clarft.c clarfp.c 
   clarfx.c clargv.c clarnv.c clarrv.c clartg.c clartv.c 
   clarz.c  clarzb.c clarzt.c clascl.c claset.c clasr.c  classq.c 
   claswp.c clasyf.c clatbs.c clatdf.c clatps.c clatrd.c clatrs.c clatrz.c 
   clatzm.c clauu2.c clauum.c cpbcon.c cpbequ.c cpbrfs.c cpbstf.c cpbsv.c  
   cpbsvx.c cpbtf2.c cpbtrf.c cpbtrs.c cpocon.c cpoequ.c cporfs.c 
   cposv.c  cposvx.c cpotf2.c cpotrf.c cpotri.c cpotrs.c cpstrf.c cpstf2.c 
   cppcon.c cppequ.c cpprfs.c cppsv.c  cppsvx.c cpptrf.c cpptri.c cpptrs.c 
   cptcon.c cpteqr.c cptrfs.c cptsv.c  cptsvx.c cpttrf.c cpttrs.c cptts2.c 
   crot.c   cspcon.c cspmv.c  cspr.c   csprfs.c cspsv.c  
   cspsvx.c csptrf.c csptri.c csptrs.c csrscl.c cstedc.c 
   cstegr.c cstein.c csteqr.c csycon.c csymv.c  
   csyr.c   csyrfs.c csysv.c  csysvx.c csytf2.c csytrf.c csytri.c 
   csytrs.c ctbcon.c ctbrfs.c ctbtrs.c ctgevc.c ctgex2.c 
   ctgexc.c ctgsen.c ctgsja.c ctgsna.c ctgsy2.c ctgsyl.c ctpcon.c 
   ctprfs.c ctptri.c 
   ctptrs.c ctrcon.c ctrevc.c ctrexc.c ctrrfs.c ctrsen.c ctrsna.c 
   ctrsyl.c ctrti2.c ctrtri.c ctrtrs.c ctzrqf.c ctzrzf.c cung2l.c cung2r.c 
   cungbr.c cunghr.c cungl2.c cunglq.c cungql.c cungqr.c cungr2.c 
   cungrq.c cungtr.c cunm2l.c cunm2r.c cunmbr.c cunmhr.c cunml2.c 
   cunmlq.c cunmql.c cunmqr.c cunmr2.c cunmr3.c cunmrq.c cunmrz.c 
   cunmtr.c cupgtr.c cupmtr.c icmax1.c scsum1.c cstemr.c 
   chfrk.c ctfttp.c clanhf.c cpftrf.c cpftri.c cpftrs.c ctfsm.c ctftri.c 
   ctfttr.c ctpttf.c ctpttr.c ctrttf.c ctrttp.c 
   cgeequb.c cgbequb.c csyequb.c cpoequb.c cheequb.c)

set(CXLASRC     cgesvxx.c cgerfsx.c cla_gerfsx_extended.c cla_geamv.c 
   cla_gercond_c.c cla_gercond_x.c cla_rpvgrw.c 
   csysvxx.c csyrfsx.c cla_syrfsx_extended.c cla_syamv.c 
   cla_syrcond_c.c cla_syrcond_x.c cla_syrpvgrw.c 
   cposvxx.c cporfsx.c cla_porfsx_extended.c 
   cla_porcond_c.c cla_porcond_x.c cla_porpvgrw.c 
   cgbsvxx.c cgbrfsx.c cla_gbrfsx_extended.c cla_gbamv.c 
   cla_gbrcond_c.c cla_gbrcond_x.c cla_gbrpvgrw.c 
   chesvxx.c cherfsx.c cla_herfsx_extended.c cla_heamv.c 
   cla_hercond_c.c cla_hercond_x.c cla_herpvgrw.c 
   cla_lin_berr.c clarscl2.c clascl2.c cla_wwaddw.c)

set(DLASRC 
   dgbbrd.c dgbcon.c dgbequ.c dgbrfs.c dgbsv.c  
   dgbsvx.c dgbtf2.c dgbtrf.c dgbtrs.c dgebak.c dgebal.c dgebd2.c 
   dgebrd.c dgecon.c dgeequ.c dgees.c  dgeesx.c dgeev.c  dgeevx.c 
   dgegs.c  dgegv.c  dgehd2.c dgehrd.c dgelq2.c dgelqf.c 
   dgels.c  dgelsd.c dgelss.c dgelsx.c dgelsy.c dgeql2.c dgeqlf.c 
   dgeqp3.c dgeqpf.c dgeqr2.c dgeqrf.c dgerfs.c dgerq2.c dgerqf.c 
   dgesc2.c dgesdd.c dgesv.c  dgesvd.c dgesvx.c dgetc2.c dgetf2.c 
   dgetrf.c dgetri.c 
   dgetrs.c dggbak.c dggbal.c dgges.c  dggesx.c dggev.c  dggevx.c 
   dggglm.c dgghrd.c dgglse.c dggqrf.c 
   dggrqf.c dggsvd.c dggsvp.c dgtcon.c dgtrfs.c dgtsv.c  
   dgtsvx.c dgttrf.c dgttrs.c dgtts2.c dhgeqz.c 
   dhsein.c dhseqr.c dlabrd.c dlacon.c dlacn2.c 
   dlaein.c dlaexc.c dlag2.c  dlags2.c dlagtm.c dlagv2.c dlahqr.c

=== SRC/Makefile ===
include ../make.inc

#######################################################################
#  This is the makefile to create a library for LAPACK.
#  The files are organized as follows:
#       ALLAUX -- Auxiliary routines called from all precisions
#       ALLXAUX -- Auxiliary routines called from all precisions but
#                  only from routines using extra precision.
#       SCLAUX -- Auxiliary routines called from both REAL and COMPLEX
#       DZLAUX -- Auxiliary routines called from both DOUBLE PRECISION
#                 and COMPLEX*16
#       SLASRC -- Single precision real LAPACK routines
#       SXLASRC -- Single precision real LAPACK routines using extra
#                  precision.
#       CLASRC -- Single precision complex LAPACK routines
#       CXLASRC -- Single precision complex LAPACK routines using extra
#                  precision.
#       DLASRC -- Double precision real LAPACK routines
#       DXLASRC -- Double precision real LAPACK routines using extra
#                  precision.
#       ZLASRC -- Double precision complex LAPACK routines
#       ZXLASRC -- Double precision complex LAPACK routines using extra
#                  precision.
#
#  The library can be set up to include routines for any combination
#  of the four precisions.  To create or add to the library, enter make
#  followed by one or more of the precisions desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates a library of all four precisions.
#  The library is called
#       lapack.a
#  and is created at the next higher directory level.
#
#  To remove the object files after the library is created, enter
#       make clean
#  On some systems, you can force the source files to be recompiled by
#  entering (for example)
#       make single FRC=FRC
#
#  ***Note***
#  The functions lsame, second, dsecnd, slamch, and dlamch may have
#  to be installed before compiling the library.  Refer to the
#  installation guide, LAPACK Working Note 41, for instructions.
#
#######################################################################

ALLAUX = maxloc.o ilaenv.o ieeeck.o lsamen.o xerbla.o xerbla_array.o iparmq.o	\
    ilaprec.o ilatrans.o ilauplo.o iladiag.o chla_transtype.o \
    ../INSTALL/ilaver.o ../INSTALL/lsame.o

ALLXAUX =

SCLAUX = \
   sbdsdc.o \
   sbdsqr.o sdisna.o slabad.o slacpy.o sladiv.o slae2.o  slaebz.o \
   slaed0.o slaed1.o slaed2.o slaed3.o slaed4.o slaed5.o slaed6.o \
   slaed7.o slaed8.o slaed9.o slaeda.o slaev2.o slagtf.o \
   slagts.o slamrg.o slanst.o \
   slapy2.o slapy3.o slarnv.o \
   slarra.o slarrb.o slarrc.o slarrd.o slarre.o slarrf.o slarrj.o \
   slarrk.o slarrr.o slaneg.o \
   slartg.o slaruv.o slas2.o  slascl.o \
   slasd0.o slasd1.o slasd2.o slasd3.o slasd4.o slasd5.o slasd6.o \
   slasd7.o slasd8.o slasda.o slasdq.o slasdt.o \
   slaset.o slasq1.o slasq2.o slasq3.o slasq4.o slasq5.o slasq6.o \
   slasr.o  slasrt.o slassq.o slasv2.o spttrf.o sstebz.o sstedc.o \
   ssteqr.o ssterf.o slaisnan.o sisnan.o \
   ../INSTALL/slamch.o ../INSTALL/second.o

DZLAUX = \
   dbdsdc.o \
   dbdsqr.o ddisna.o dlabad.o dlacpy.o dladiv.o dlae2.o  dlaebz.o \
   dlaed0.o dlaed1.o dlaed2.o dlaed3.o dlaed4.o dlaed5.o dlaed6.o \
   dlaed7.o dlaed8.o dlaed9.o dlaeda.o dlaev2.o dlagtf.o \
   dlagts.o dlamrg.o dlanst.o \
   dlapy2.o dlapy3.o dlarnv.o \
   dlarra.o dlarrb.o dlarrc.o dlarrd.o dlarre.o dlarrf.o dlarrj.o \
   dlarrk.o dlarrr.o dlaneg.o \
   dlartg.o dlaruv.o dlas2.o  dlascl.o \
   dlasd0.o dlasd1.o dlasd2.o dlasd3.o dlasd4.o dlasd5.o dlasd6.o \
   dlasd7.o dlasd8.o dlasda.o dlasdq.o dlasdt.o \
   dlaset.o dlasq1.o dlasq2.o dlasq3.o dlasq4.o dlasq5.o dlasq6.o \
   dlasr.o  dlasrt.o dlassq.o dlasv2.o dpttrf.o dstebz.o dstedc.o \
   dsteqr.o dsterf.o dlaisnan.o disnan.o \
   ../INSTALL/dlamch.o ../INSTALL/dsecnd.o

SLASRC = \
   sgbbrd.o sgbcon.o sgbequ.o sgbrfs.o sgbsv.o  \
   sgbsvx.o sgbtf2.o sgbtrf.o sgbtrs.o sgebak.o sgebal.o sgebd2.o \
   sgebrd.o sgecon.o sgeequ.o sgees.o  sgeesx.o sgeev.o  sgeevx.o \
   sgegs.o  sgegv.o  sgehd2.o sgehrd.o sgelq2.o sgelqf.o \
   sgels.o  sgelsd.o sgelss.o sgelsx.o sgelsy.o sgeql2.o sgeqlf.o \
   sgeqp3.o sgeqpf.o sgeqr2.o sgeqrf.o sgerfs.o sgerq2.o sgerqf.o \
   sgesc2.o sgesdd.o sgesv.o  sgesvd.o sgesvx.o sgetc2.o sgetf2.o \
   sgetrf.o sgetri.o \
   sgetrs.o sggbak.o sggbal.o sgges.o  sggesx.o sggev.o  sggevx.o \
   sggglm.o sgghrd.o sgglse.o sggqrf.o \
   sggrqf.o sggsvd.o sggsvp.o sgtcon.o sgtrfs.o sgtsv.o  \
   sgtsvx.o sgttrf.o sgttrs.o sgtts2.o shgeqz.o \
   shsein.o shseqr.o slabrd.o slacon.o slacn2.o \
   slaein.o slaexc.o slag2.o  slags2.o slagtm.o slagv2.o slahqr.o \
   slahrd.o slahr2.o slaic1.o slaln2.o slals0.o slalsa.o slalsd.o \
   slangb.o slange.o slangt.o slanhs.o slansb.o slansp.o \
   slansy.o slantb.o slantp.o slantr.o slanv2.o \
   slapll.o slapmt.o \
   slaqgb.o slaqge.o slaqp2.o slaqps.o slaqsb.o slaqsp.o slaqsy.o \
   slaqr0.o slaqr1.o slaqr2.o slaqr3.o slaqr4.o slaqr5.o \
   slaqtr.o slar1v.o slar2v.o ilaslr.o ilaslc.o \
   slarf.o  slarfb.o slarfg.o slarft.o slarfx.o slargv.o \
   slarrv.o slartv.o slarfp.o \
   slarz.o  slarzb.o slarzt.o slaswp.o slasy2.o slasyf.o \
   slatbs.o slatdf.o slatps.o slatrd.o slatrs.o slatrz.o slatzm.o \
   slauu2.o slauum.o sopgtr.o sopmtr.o sorg2l.o sorg2r.o \
   sorgbr.o sorghr.o sorgl2.o sorglq.o sorgql.o sorgqr.o sorgr2.o \
   sorgrq.o sorgtr.o sorm2l.o sorm2r.o \
   sormbr.o sormhr.o sorml2.o sormlq.o sormql.o sormqr.o sormr2.o \
   sormr3.o sormrq.o sormrz.o sormtr.o spbcon.o spbequ.o spbrfs.o \
   spbstf.o spbsv.o  spbsvx.o \
   spbtf2.o spbtrf.o spbtrs.o spocon.o spoequ.o sporfs.o sposv.o  \
   sposvx.o spotf2.o spotrf.o spotri.o spotrs.o spstrf.o spstf2.o \
   sppcon.o sppequ.o \
   spprfs.o sppsv.o  sppsvx.o spptrf.o spptri.o spptrs.o sptcon.o \
   spteqr.o sptrfs.o sptsv.o  sptsvx.o spttrs.o sptts2.o srscl.o  \
   ssbev.o  ssbevd.o ssbevx.o ssbgst.o ssbgv.o  ssbgvd.o ssbgvx.o \
   ssbtrd.o sspcon.o sspev.o  sspevd.o sspevx.o sspgst.o \
   sspgv.o  sspgvd.o sspgvx.o ssprfs.o sspsv.o  sspsvx.o ssptrd.o \
   ssptrf.o ssptri.o ssptrs.o sstegr.o sstein.o sstev.o  sstevd.o sstevr.o \
   sstevx.o ssycon.o ssyev.o  ssyevd.o ssyevr.o ssyevx.o ssygs2.o \
   ssygst.o ssygv.o  ssygvd.o ssygvx.o ssyrfs.o ssysv.o  ssysvx.o \
   ssytd2.o ssytf2.o ssytrd.o ssytrf.o ssytri.o ssytrs.o stbcon.o \
   stbrfs.o stbtrs.o stgevc.o stgex2.o stgexc.o stgsen.o \
   stgsja.o stgsna.o stgsy2.o stgsyl.o stpcon.o stprfs.o stptri.o \
   stptrs.o \
   strcon.o strevc.o strexc.o strrfs.o strsen.o strsna.o strsyl.o \
   strti2.o strtri.o strtrs.o stzrqf.o stzrzf.o sstemr.o \
   slansf.o spftrf.o spftri.o spftrs.o ssfrk.o stfsm.o stftri.o stfttp.o \
   stfttr.o stpttf.o stpttr.o strttf.o strttp.o \
   sgejsv.o  sgesvj.o  sgsvj0.o  sgsvj1.o \
   sgeequb.o ssyequb.o spoequb.o sgbequb.o

SXLASRC = sgesvxx.o sgerfsx.o sla_gerfsx_extended.o sla_geamv.o		\
   sla_gercond.o sla_rpvgrw.o ssysvxx.o ssyrfsx.o			\
   sla_syrfsx_extended.o sla_syamv.o sla_syrcond.o sla_syrpvgrw.o	\
   sposvxx.o sporfsx.o sla_porfsx_extended.o sla_porcond.o		\
   sla_porpvgrw.o sgbsvxx.o sgbrfsx.o sla_gbrfsx_extended.o		\
   sla_gbamv.o sla_gbrcond.o sla_gbrpvgrw.o sla_lin_berr.o slarscl2.o	\
   slascl2.o sla_wwaddw.o

CLASRC = \
   cbdsqr.o cgbbrd.o cgbcon.o cgbequ.o cgbrfs.o cgbsv.o  cgbsvx.o \
   cgbtf2.o cgbtrf.o cgbtrs.o cgebak.o cgebal.o cgebd2.o cgebrd.o \
   cgecon.o cgeequ.o cgees.o  cgeesx.o cgeev.o  cgeevx.o \
   cgegs.o  cgegv.o  cgehd2.o cgehrd.o cgelq2.o cgelqf.o \
   cgels.o  cgelsd.o cgelss.o cgelsx.o cgelsy.o cgeql2.o cgeqlf.o cgeqp3.o \
   cgeqpf.o cgeqr2.o cgeqrf.o cgerfs.o cgerq2.o cgerqf.o \
   cgesc2.o cgesdd.o cgesv.o  cgesvd.o cgesvx.o cgetc2.o cgetf2.o cgetrf.o \
   cgetri.o cgetrs.o \
   cggbak.o cggbal.o cgges.o  cggesx.o cggev.o  cggevx.o cggglm.o \
   cgghrd.o cgglse.o cggqrf.o cggrqf.o \
   cggsvd.o cggsvp.o \
   cgtcon.o cgtrfs.o cgtsv.o  cgtsvx.o cgttrf.o cgttrs.o cgtts2.o chbev.o  \
   chbevd.o chbevx.o chbgst.o chbgv.o  chbgvd.o chbgvx.o chbtrd.o \
   checon.o cheev.o  cheevd.o cheevr.o cheevx.o chegs2.o chegst.o \
   chegv.o  chegvd.o chegvx.o cherfs.o chesv.o  chesvx.o chetd2.o \
   chetf2.o chetrd.o \
   chetrf.o chetri.o chetrs.o chgeqz.o chpcon.o chpev.o  chpevd.o \
   chpevx.o chpgst.o chpgv.o  chpgvd.o chpgvx.o chprfs.o chpsv.o  \
   chpsvx.o \
   chptrd.o chptrf.o chptri.o chptrs.o chsein.o chseqr.o clabrd.o \
   clacgv.o clacon.o clacn2.o clacp2.o clacpy.o clacrm.o clacrt.o cladiv.o \
   claed0.o claed7.o claed8.o \
   claein.o claesy.o claev2.o clags2.o clagtm.o \
   clahef.o clahqr.o \
   clahrd.o clahr2.o claic1.o clals0.o clalsa.o clalsd.o clangb.o clange.o clangt.o \
   clanhb.o clanhe.o \
   clanhp.o clanhs.o clanht.o clansb.o clansp.o clansy.o clantb.o \
   clantp.o clantr.o clapll.o clapmt.o clarcm.o claqgb.o claqge.o \
   claqhb.o claqhe.o claqhp.o claqp2.o claqps.o claqsb.o \
   claqr0.o claqr1.o claqr2.o claqr3.o claqr4.o claqr5.o \
   claqsp.o claqsy.o clar1v.o clar2v.o ilaclr.o ilaclc.o \
   clarf.o  clarfb.o clarfg.o clarft.o clarfp.o \
   clarfx.o clargv.o clarnv.o clarrv.o clartg.o clartv.o \
   clarz.o  clarzb.o clarzt.o clascl.o claset.o clasr.o  classq.o \
   claswp.o clasyf.o clatbs.o clatdf.o clatps.o clatrd.o clatrs.o clatrz.o \
   clatzm.o clauu2.o clauum.o cpbcon.o cpbequ.o cpbrfs.o cpbstf.o cpbsv.o  \
   cpbsvx.o cpbtf2.o cpbtrf.o cpbtrs.o cpocon.o cpoequ.o cporfs.o \
   cposv.o  cposvx.o cpotf2.o cpotrf.o cpotri.o cpotrs.o cpstrf.o cpstf2.o \
   cppcon.o cppequ.o cpprfs.o cppsv.o  cppsvx.o cpptrf.o cpptri.o cpptrs.o \
   cptcon.o cpteqr.o cptrfs.o cptsv.o  cptsvx.o cpttrf.o cpttrs.o cptts2.o \
   crot.o   cspcon.o cspmv.o  cspr.o   csprfs.o cspsv.o  \
   cspsvx.o csptrf.o csptri.o csptrs.o csrscl.o cstedc.o \
   cstegr.o cstein.o csteqr.o csycon.o csymv.o  \
   csyr.o   csyrfs.o csysv.o  csysvx.o csytf2.o csytrf.o csytri.o \
   csytrs.o ctbcon.o ctbrfs.o ctbtrs.o ctgevc.o ctgex2.o \
   ctgexc.o ctgsen.o ctgsja.o ctgsna.o ctgsy2.o ctgsyl.o ctpcon.o \
   ctprfs.o ctptri.o \
   ctptrs.o ctrcon.o ctrevc.o ctrexc.o ctrrfs.o ctrsen.o ctrsna.o \
   ctrsyl.o ctrti2.o ctrtri.o ctrtrs.o ctzrqf.o ctzrzf.o cung2l.o cung2r.o \
   cungbr.o cunghr.o cungl2.o cunglq.o cungql.o cungqr.o cungr2.o \
   cungrq.o cungtr.o cunm2l.o cunm2r.o cunmbr.o cunmhr.o cunml2.o \
   cunmlq.o cunmql.o cunmqr.o cunmr2.o cunmr3.o cunmrq.o cunmrz.o \
   cunmtr.o cupgtr.o cupmtr.o icmax1.o scsum1.o cstemr.o \
   chfrk.o ctfttp.o clanhf.o cpftrf.o cpftri.o cpftrs.o ctfsm.o ctftri.o \
   ctfttr.o ctpttf.o ctpttr.o ctrttf.o ctrttp.o \
   cgeequb.o cgbequb.o csyequb.o cpoequb.o cheequb.o

CXLASRC =    cgesvxx.o cgerfsx.o cla_gerfsx_extended.o cla_geamv.o \
   cla_gercond_c.o cla_gercond_x.o cla_rpvgrw.o \
   csysvxx.o csyrfsx.o cla_syrfsx_extended.o cla_syamv.o \
   cla_syrcond_c.o cla_syrcond_x.o cla_syrpvgrw.o \
   cposvxx.o cporfsx.o cla_porfsx_extended.o \
   cla_porcond_c.o cla_porcond_x.o cla_porpvgrw.o \
   cgbsvxx.o cgbrfsx.o cla_gbrfsx_extended.o cla_gbamv.o \
   cla_gbrcond_c.o cla_gbrcond_x.o cla_gbrpvgrw.o \
   chesvxx.o cherfsx.o cla_herfsx_extended.o cla_heamv.o \
   cla_hercond_c.o cla_hercond_x.o cla_herpvgrw.o \
   cla_lin_berr.o clarscl2.o clascl2.o cla_wwaddw.o

DLASRC = \
   dgbbrd.o dgbcon.o dgbequ.o dgbrfs.o dgbsv.o  \
   dgbsvx.o dgbtf2.o dgbtrf.o dgbtrs.o dgebak.o dgebal.o dgebd2.o \
   dgebrd.o dgecon.o dgeequ.o dgees.o  dgeesx.o dgeev.o  dgeevx.o \
   dgegs.o  dgegv.o  dgehd2.o dgehrd.o dgelq2.o dgelqf.o \
   dgels.o  dgelsd.o dgelss.o dgelsx.o dgelsy.o dgeql2.o dgeqlf.o \
   dgeqp3.o dgeqpf.o dgeqr2.o dgeqrf.o dgerfs.o dgerq2.o dgerqf.o \
   dgesc2.o dgesdd.o dgesv.o  dgesvd.o dgesvx.o dgetc2.o dgetf2.o \
   dgetrf.o dgetri.o \
   dgetrs.o dggbak.o dggbal.o dgges.o  dggesx.o dggev.o  dggevx.o \
   dggglm.o dgghrd.o dgglse.o dggqrf.o \
   dggrqf.o dggsvd.o dggsvp.o dgtcon.o dgtrfs.o dgtsv.o  \

=== TESTING/CMakeLists.txt ===
if(MSVC_VERSION)
#  string(REPLACE "/STACK:10000000" "/STACK:900000000000000000"
#    CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS}")
  string(REGEX REPLACE "(.*)/STACK:(.*) (.*)" "\\1/STACK:900000000000000000 \\3"
    CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS}")
endif()
add_subdirectory(MATGEN)
add_subdirectory(LIN)
add_subdirectory(EIG)
macro(add_lapack_test output input target)
  set(TEST_INPUT "${CLAPACK_SOURCE_DIR}/TESTING/${input}")
  set(TEST_OUTPUT "${CLAPACK_BINARY_DIR}/TESTING/${output}")
  get_target_property(TEST_LOC ${target} LOCATION)
  string(REPLACE "." "_" input_name ${input})
  set(testName "${target}_${input_name}")
  if(EXISTS "${TEST_INPUT}")
    add_test(${testName} "${CMAKE_COMMAND}"
      -DTEST=${TEST_LOC}
      -DINPUT=${TEST_INPUT} 
      -DOUTPUT=${TEST_OUTPUT} 
      -DINTDIR=${CMAKE_CFG_INTDIR}
      -P "${CLAPACK_SOURCE_DIR}/TESTING/runtest.cmake")
  endif()
endmacro(add_lapack_test)

add_lapack_test(stest.out stest.in xlintsts)

add_lapack_test(ctest.out ctest.in xlintstc)
#
# ======== DOUBLE LIN TESTS ===========================

add_lapack_test(dtest.out dtest.in xlintstd)

#
# ======== COMPLEX16 LIN TESTS ========================

add_lapack_test(ztest.out ztest.in xlintstz)

#
# ======== SINGLE-DOUBLE PROTO LIN TESTS ==============

add_lapack_test(dstest.out dstest.in xlintstds)

#
# ======== COMPLEX-COMPLEX16 LIN TESTS ========================

add_lapack_test(zctest.out zctest.in xlintstzc)

#
# ======== SINGLE RFP LIN TESTS ========================

add_lapack_test(stest_rfp.out stest_rfp.in xlintstrfs)

#
# ======== COMPLEX16 RFP LIN TESTS ========================

add_lapack_test(dtest_rfp.out dtest_rfp.in xlintstrfd)

#
# ======== COMPLEX16 RFP LIN TESTS ========================

add_lapack_test(ctest_rfp.out ctest_rfp.in xlintstrfc)

#
# ======== COMPLEX16 RFP LIN TESTS ========================

add_lapack_test(ztest_rfp.out ztest_rfp.in xlintstrfz)

#
#
# ======== SINGLE EIG TESTS ===========================
#

add_lapack_test(snep.out nep.in xeigtsts)


add_lapack_test(ssep.out sep.in xeigtsts)


add_lapack_test(ssvd.out svd.in xeigtsts)


add_lapack_test(sec.out sec.in xeigtsts)


add_lapack_test(sed.out sed.in xeigtsts)


add_lapack_test(sgg.out sgg.in xeigtsts)


add_lapack_test(sgd.out sgd.in xeigtsts)


add_lapack_test(ssb.out ssb.in xeigtsts)


add_lapack_test(ssg.out ssg.in xeigtsts)


add_lapack_test(sbal.out sbal.in xeigtsts)


add_lapack_test(sbak.out sbak.in xeigtsts)


add_lapack_test(sgbal.out sgbal.in xeigtsts)


add_lapack_test(sgbak.out sgbak.in xeigtsts)


add_lapack_test(sbb.out sbb.in xeigtsts)


add_lapack_test(sglm.out glm.in xeigtsts)


add_lapack_test(sgqr.out gqr.in xeigtsts)


add_lapack_test(sgsv.out gsv.in xeigtsts)


add_lapack_test(slse.out lse.in xeigtsts)

#
# ======== COMPLEX EIG TESTS ===========================

add_lapack_test(cnep.out nep.in xeigtstc)


add_lapack_test(csep.out sep.in xeigtstc)


add_lapack_test(csvd.out svd.in xeigtstc)


add_lapack_test(cec.out cec.in xeigtstc)


add_lapack_test(ced.out ced.in xeigtstc)


add_lapack_test(cgg.out cgg.in xeigtstc)


add_lapack_test(cgd.out cgd.in xeigtstc)


add_lapack_test(csb.out csb.in xeigtstc)


add_lapack_test(csg.out csg.in xeigtstc)


add_lapack_test(cbal.out cbal.in xeigtstc)


add_lapack_test(cbak.out cbak.in xeigtstc)


add_lapack_test(cgbal.out cgbal.in xeigtstc)


add_lapack_test(cgbak.out cgbak.in xeigtstc)


add_lapack_test(cbb.out cbb.in xeigtstc)


add_lapack_test(cglm.out glm.in xeigtstc)


add_lapack_test(cgqr.out gqr.in xeigtstc)


add_lapack_test(cgsv.out gsv.in xeigtstc)


add_lapack_test(clse.out lse.in xeigtstc)

#
# ======== DOUBLE EIG TESTS ===========================

add_lapack_test(dnep.out nep.in xeigtstd)


add_lapack_test(dsep.out sep.in xeigtstd)


add_lapack_test(dsvd.out svd.in xeigtstd)


add_lapack_test(dec.out dec.in xeigtstd)


add_lapack_test(ded.out ded.in xeigtstd)


add_lapack_test(dgg.out dgg.in xeigtstd)


add_lapack_test(dgd.out dgd.in xeigtstd)


add_lapack_test(dsb.out dsb.in xeigtstd)


add_lapack_test(dsg.out dsg.in xeigtstd)


add_lapack_test(dbal.out dbal.in xeigtstd)


add_lapack_test(dbak.out dbak.in xeigtstd)


add_lapack_test(dgbal.out dgbal.in xeigtstd)


add_lapack_test(dgbak.out dgbak.in xeigtstd)


add_lapack_test(dbb.out dbb.in xeigtstd)


add_lapack_test(dglm.out glm.in xeigtstd)


add_lapack_test(dgqr.out gqr.in xeigtstd)


add_lapack_test(dgsv.out gsv.in xeigtstd)


add_lapack_test(dlse.out lse.in xeigtstd)

#
# ======== COMPLEX16 EIG TESTS ===========================

add_lapack_test(znep.out nep.in xeigtstz)


add_lapack_test(zsep.out sep.in xeigtstz)


add_lapack_test(zsvd.out svd.in xeigtstz)


add_lapack_test(zec.out zec.in xeigtstz)


add_lapack_test(zed.out zed.in xeigtstz)


add_lapack_test(zgg.out zgg.in xeigtstz)


add_lapack_test(zgd.out zgd.in xeigtstz)


add_lapack_test(zsb.out zsb.in xeigtstz)


add_lapack_test(zsg.out zsg.in xeigtstz)


add_lapack_test(zbal.out zbal.in xeigtstz)


add_lapack_test(zbak.out zbak.in xeigtstz)


add_lapack_test(zgbal.out zgbal.in xeigtstz)


add_lapack_test(zgbak.out zgbak.in xeigtstz)


add_lapack_test(zbb.out zbb.in xeigtstz)


add_lapack_test(zglm.out glm.in xeigtstz)


add_lapack_test(zgqr.out gqr.in xeigtstz)


add_lapack_test(zgsv.out gsv.in xeigtstz)


add_lapack_test(zlse.out lse.in xeigtstz)

# ==============================================================================

=== TESTING/Makefile ===
#######################################################################
#  This makefile runs the test programs for the linear equation routines
#  and the eigenvalue routines in LAPACK.  The test output files
#  are grouped as follows:
#
#       SLINTST,SEIGTST  -- Single precision real test routines
#       CLINTST,CEIGTST  -- Single precision complex test routines
#       DLINTST,DEIGTST  -- Double precision real test routines
#       ZLINTST,ZEIGTST  -- Double precision complex test routines
#
#  Test programs can be executed for all or some of the four different
#  precisions.  Enter 'make' followed by one or more of the data types
#  desired.
#  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments runs all eight test programs.
#  The executable files are called:
#       xlintsts, xlintstd, xlintstc, and xlintstz for LIN
#       xeigtsts, xeigtstd, xeigtstc, and xeigtstz for EIG
#  and exist in the current directory level.
#
#  To remove the output files after the tests have been run, enter
#       make clean
#
#  To re-run specific tests after a make, enter (for example):
#       'rm ssvd.out; make'  or:
#       'make ssvd.out' or:
#       'touch svd.in; make' (to re-run the single precision SVD tests.)
#
#       'rm *svd.out; make'  (to re-run all the SVD tests.)
#
#######################################################################

include ../make.inc

ifneq ($(strip $(VARLIB)),)
    LAPACKLIB :=  $(VARLIB) ../$(LAPACKLIB)
endif


all:     single complex double complex16 singleproto doubleproto complexproto complex16proto

SEIGTST= snep.out \
         ssep.out \
         ssvd.out \
         sec.out \
         sed.out \
         sgg.out \
         sgd.out \
         ssb.out \
	 ssg.out \
         sbal.out \
         sbak.out \
         sgbal.out \
         sgbak.out \
         sbb.out \
         sglm.out \
         sgqr.out \
         sgsv.out \
         slse.out

CEIGTST= cnep.out \
         csep.out \
         csvd.out \
         cec.out \
         ced.out \
         cgg.out \
         cgd.out \
         csb.out \
	 csg.out \
         cbal.out \
         cbak.out \
         cgbal.out \
         cgbak.out \
         cbb.out \
         cglm.out \
         cgqr.out \
         cgsv.out \
         clse.out

DEIGTST= dnep.out \
         dsep.out \
         dsvd.out \
         dec.out \
         ded.out \
         dgg.out \
         dgd.out \
         dsb.out \
	 dsg.out \
         dbal.out \
         dbak.out \
         dgbal.out \
         dgbak.out \
         dbb.out \
         dglm.out \
         dgqr.out \
         dgsv.out \
         dlse.out

ZEIGTST= znep.out \
         zsep.out \
         zsvd.out \
         zec.out \
         zed.out \
         zgg.out \
         zgd.out \
         zsb.out \
	 zsg.out \
         zbal.out \
         zbak.out \
         zgbal.out \
         zgbak.out \
         zbb.out \
         zglm.out \
         zgqr.out \
         zgsv.out \
         zlse.out


SLINTST= stest.out

SLINTSTPROTO= stest_rfp.out

CLINTST= ctest.out

CLINTSTPROTO= ctest_rfp.out

DLINTST= dtest.out

DLINTSTPROTO= dstest.out dtest_rfp.out

ZLINTST= ztest.out

ZLINTSTPROTO= zctest.out ztest_rfp.out

single:         $(SLINTST) $(SEIGTST)
complex:        $(CLINTST) $(CEIGTST)
double:         $(DLINTST) $(DEIGTST)
complex16:      $(ZLINTST) $(ZEIGTST)
singleproto:    $(SLINTSTPROTO)
complexproto:   $(CLINTSTPROTO)
doubleproto:    $(DLINTSTPROTO)
complex16proto: $(ZLINTSTPROTO)

#
# ======== SINGLE LIN TESTS ===========================

stest.out: stest.in xlintsts
	@echo Testing REAL LAPACK linear equation routines
	./xlintsts < stest.in > $@ 2>&1
#
# ======== COMPLEX LIN TESTS ==========================

ctest.out: ctest.in xlintstc
	@echo Testing COMPLEX LAPACK linear equation routines
	./xlintstc < ctest.in > $@ 2>&1
#
# ======== DOUBLE LIN TESTS ===========================

dtest.out: dtest.in xlintstd
	@echo Testing DOUBLE PRECISION LAPACK linear equation routines
	./xlintstd < dtest.in > $@ 2>&1
#
# ======== COMPLEX16 LIN TESTS ========================

ztest.out: ztest.in xlintstz
	@echo Testing COMPLEX16 LAPACK linear equation routines
	./xlintstz < ztest.in > $@ 2>&1
#
# ======== SINGLE-DOUBLE PROTO LIN TESTS ==============

dstest.out: dstest.in xlintstds
	@echo Testing SINGLE-DOUBLE PRECISION LAPACK prototype linear equation routines
	./xlintstds < dstest.in > $@ 2>&1
#
# ======== COMPLEX-COMPLEX16 LIN TESTS ========================

zctest.out: zctest.in xlintstzc
	@echo Testing COMPLEX-COMPLEX16 LAPACK protoype linear equation routines
	./xlintstzc < zctest.in > $@ 2>&1
#
# ======== SINGLE RFP LIN TESTS ========================

stest_rfp.out: stest_rfp.in xlintstrfs
	@echo Testing REAL LAPACK RFP protoype linear equation routines
	./xlintstrfs < stest_rfp.in > $@ 2>&1
#
# ======== COMPLEX16 RFP LIN TESTS ========================

dtest_rfp.out: dtest_rfp.in xlintstrfd
	@echo Testing DOUBLE PRECISION LAPACK RFP protoype linear equation routines
	./xlintstrfd < dtest_rfp.in > $@ 2>&1
#
# ======== COMPLEX16 RFP LIN TESTS ========================

ctest_rfp.out: ctest_rfp.in xlintstrfc
	@echo Testing COMPLEX LAPACK RFP protoype linear equation routines
	./xlintstrfc < ctest_rfp.in > $@ 2>&1
#
# ======== COMPLEX16 RFP LIN TESTS ========================

ztest_rfp.out: ztest_rfp.in xlintstrfz
	@echo Testing COMPLEX16 LAPACK RFP protoype linear equation routines
	./xlintstrfz < ztest_rfp.in > $@ 2>&1
#
#
# ======== SINGLE EIG TESTS ===========================
#

snep.out: nep.in xeigtsts
	@echo NEP: Testing Nonsymmetric Eigenvalue Problem routines
	./xeigtsts < nep.in > $@ 2>&1

ssep.out: sep.in xeigtsts
	@echo SEP: Testing Symmetric Eigenvalue Problem routines
	./xeigtsts < sep.in > $@ 2>&1

ssvd.out: svd.in xeigtsts
	@echo SVD: Testing Singular Value Decomposition routines
	./xeigtsts < svd.in > $@ 2>&1

sec.out: sec.in xeigtsts
	@echo SEC: Testing REAL Eigen Condition Routines
	./xeigtsts < sec.in > $@ 2>&1

sed.out: sed.in xeigtsts
	@echo SEV: Testing REAL Nonsymmetric Eigenvalue Driver
	./xeigtsts < sed.in > $@ 2>&1

sgg.out: sgg.in xeigtsts
	@echo SGG: Testing REAL Nonsymmetric Generalized Eigenvalue Problem routines
	./xeigtsts < sgg.in > $@ 2>&1

sgd.out: sgd.in xeigtsts
	@echo SGD: Testing REAL Nonsymmetric Generalized Eigenvalue Problem driver routines
	./xeigtsts < sgd.in > $@ 2>&1

ssb.out: ssb.in xeigtsts
	@echo SSB: Testing REAL Symmetric Eigenvalue Problem routines
	./xeigtsts < ssb.in > $@ 2>&1

ssg.out: ssg.in xeigtsts
	@echo SSG: Testing REAL Symmetric Generalized Eigenvalue Problem routines
	./xeigtsts < ssg.in > $@ 2>&1

sbal.out: sbal.in xeigtsts
	@echo SGEBAL: Testing the balancing of a REAL general matrix
	./xeigtsts < sbal.in > $@ 2>&1

sbak.out: sbak.in xeigtsts
	@echo SGEBAK: Testing the back transformation of a REAL balanced matrix
	./xeigtsts < sbak.in > $@ 2>&1

sgbal.out: sgbal.in xeigtsts
	@echo SGGBAL: Testing the balancing of a pair of REAL general matrices
	./xeigtsts < sgbal.in > $@ 2>&1

sgbak.out: sgbak.in xeigtsts
	@echo SGGBAK: Testing the back transformation of a pair of REAL balanced matrices
	./xeigtsts < sgbak.in > $@ 2>&1

sbb.out: sbb.in xeigtsts
	@echo SBB:  Testing banded Singular Value Decomposition routines
	./xeigtsts < sbb.in > $@ 2>&1

sglm.out: glm.in xeigtsts
	@echo GLM: Testing Generalized Linear Regression Model routines
	./xeigtsts < glm.in > $@ 2>&1

sgqr.out: gqr.in xeigtsts
	@echo GQR: Testing Generalized QR and RQ factorization routines
	./xeigtsts < gqr.in > $@ 2>&1

sgsv.out: gsv.in xeigtsts
	@echo GSV: Testing Generalized Singular Value Decomposition routines
	./xeigtsts < gsv.in > $@ 2>&1

slse.out: lse.in xeigtsts
	@echo LSE: Testing Constrained Linear Least Squares routines
	./xeigtsts < lse.in > $@ 2>&1
#
# ======== COMPLEX EIG TESTS ===========================

cnep.out: nep.in xeigtstc
	@echo NEP: Testing Nonsymmetric Eigenvalue Problem routines
	./xeigtstc < nep.in > $@ 2>&1

csep.out: sep.in xeigtstc
	@echo SEP: Testing Symmetric Eigenvalue Problem routines
	./xeigtstc < sep.in > $@ 2>&1

csvd.out: svd.in xeigtstc
	@echo SVD: Testing Singular Value Decomposition routines
	./xeigtstc < svd.in > $@ 2>&1

cec.out: cec.in xeigtstc
	@echo CEC: Testing COMPLEX Eigen Condition Routines
	./xeigtstc < cec.in > $@ 2>&1

ced.out: ced.in xeigtstc
	@echo CES: Testing COMPLEX Nonsymmetric Schur Form Driver
	./xeigtstc < ced.in > $@ 2>&1

cgg.out: cgg.in xeigtstc
	@echo CGG: Testing COMPLEX Nonsymmetric Generalized Eigenvalue Problem routines
	./xeigtstc < cgg.in > $@ 2>&1

cgd.out: cgd.in xeigtstc
	@echo CGD: Testing COMPLEX Nonsymmetric Generalized Eigenvalue Problem driver routines
	./xeigtstc < cgd.in > $@ 2>&1

csb.out: csb.in xeigtstc
	@echo CHB: Testing Hermitian Eigenvalue Problem routines
	./xeigtstc < csb.in > $@ 2>&1

csg.out: csg.in xeigtstc
	@echo CSG: Testing Symmetric Generalized Eigenvalue Problem routines
	./xeigtstc < csg.in > $@ 2>&1

cbal.out: cbal.in xeigtstc
	@echo CGEBAL: Testing the balancing of a COMPLEX general matrix
	./xeigtstc < cbal.in > $@ 2>&1

cbak.out: cbak.in xeigtstc
	@echo CGEBAK: Testing the back transformation of a COMPLEX balanced matrix
	./xeigtstc < cbak.in > $@ 2>&1

cgbal.out: cgbal.in xeigtstc
	@echo CGGBAL: Testing the balancing of a pair of COMPLEX general matrices
	./xeigtstc < cgbal.in > $@ 2>&1

cgbak.out: cgbak.in xeigtstc
	@echo CGGBAK: Testing the back transformation of a pair of COMPLEX balanced matrices
	./xeigtstc < cgbak.in > $@ 2>&1

cbb.out: cbb.in xeigtstc
	@echo CBB:  Testing banded Singular Value Decomposition routines
	./xeigtstc < cbb.in > $@ 2>&1

cglm.out: glm.in xeigtstc
	@echo GLM: Testing Generalized Linear Regression Model routines
	./xeigtstc < glm.in > $@ 2>&1

cgqr.out: gqr.in xeigtstc
	@echo GQR: Testing Generalized QR and RQ factorization routines
	./xeigtstc < gqr.in > $@ 2>&1

cgsv.out: gsv.in xeigtstc
	@echo GSV: Testing Generalized Singular Value Decomposition routines
	./xeigtstc < gsv.in > $@ 2>&1

clse.out: lse.in xeigtstc
	@echo LSE: Testing Constrained Linear Least Squares routines
	./xeigtstc < lse.in > $@ 2>&1
#
# ======== DOUBLE EIG TESTS ===========================

dnep.out: nep.in xeigtstd
	@echo NEP: Testing Nonsymmetric Eigenvalue Problem routines
	./xeigtstd < nep.in > $@ 2>&1

dsep.out: sep.in xeigtstd
	@echo SEP: Testing Symmetric Eigenvalue Problem routines
	./xeigtstd < sep.in > $@ 2>&1

dsvd.out: svd.in xeigtstd
	@echo SVD: Testing Singular Value Decomposition routines
	./xeigtstd < svd.in > $@ 2>&1

dec.out: dec.in xeigtstd
	@echo DEC: Testing DOUBLE PRECISION Eigen Condition Routines
	./xeigtstd < dec.in > $@ 2>&1

ded.out: ded.in xeigtstd
	@echo DEV: Testing DOUBLE PRECISION Nonsymmetric Eigenvalue Driver
	./xeigtstd < ded.in > $@ 2>&1

dgg.out: dgg.in xeigtstd
	@echo DGG: Testing DOUBLE PRECISION Nonsymmetric Generalized Eigenvalue Problem routines
	./xeigtstd < dgg.in > $@ 2>&1

dgd.out: dgd.in xeigtstd
	@echo DGD: Testing DOUBLE PRECISION Nonsymmetric Generalized Eigenvalue Problem driver routines
	./xeigtstd < dgd.in > $@ 2>&1

dsb.out: dsb.in xeigtstd
	@echo DSB: Testing DOUBLE PRECISION Symmetric Eigenvalue Problem routines
	./xeigtstd < dsb.in > $@ 2>&1

dsg.out: dsg.in xeigtstd
	@echo DSG: Testing DOUBLE PRECISION Symmetric Generalized Eigenvalue Problem routines
	./xeigtstd < dsg.in > $@ 2>&1

dbal.out: dbal.in xeigtstd
	@echo DGEBAL: Testing the balancing of a DOUBLE PRECISION general matrix
	./xeigtstd < dbal.in > $@ 2>&1

dbak.out: dbak.in xeigtstd
	@echo DGEBAK:  Testing the back transformation of a DOUBLE PRECISION balanced matrix
	./xeigtstd < dbak.in > $@ 2>&1

dgbal.out: dgbal.in xeigtstd
	@echo DGGBAL: Testing the balancing of a pair of DOUBLE PRECISION general matrices
	./xeigtstd < dgbal.in > $@ 2>&1

dgbak.out: dgbak.in xeigtstd
	@echo DGGBAK: Testing the back transformation of a pair of DOUBLE PRECISION balanced matrices
	./xeigtstd < dgbak.in > $@ 2>&1

=== BLAS/SRC/CMakeLists.txt ===
#######################################################################
#  This is the makefile to create a library for the BLAS.
#  The files are grouped as follows:
#
#       SBLAS1 -- Single precision real BLAS routines
#       CBLAS1 -- Single precision complex BLAS routines
#       DBLAS1 -- Double precision real BLAS routines
#       ZBLAS1 -- Double precision complex BLAS routines
#
#       CB1AUX -- Real BLAS routines called by complex routines
#       ZB1AUX -- D.P. real BLAS routines called by d.p. complex
#                 routines
#
#      ALLBLAS -- Auxiliary routines for Level 2 and 3 BLAS
#
#       SBLAS2 -- Single precision real BLAS2 routines
#       CBLAS2 -- Single precision complex BLAS2 routines
#       DBLAS2 -- Double precision real BLAS2 routines
#       ZBLAS2 -- Double precision complex BLAS2 routines
#
#       SBLAS3 -- Single precision real BLAS3 routines
#       CBLAS3 -- Single precision complex BLAS3 routines
#       DBLAS3 -- Double precision real BLAS3 routines
#       ZBLAS3 -- Double precision complex BLAS3 routines
#
#  The library can be set up to include routines for any combination
#  of the four precisions.  To create or add to the library, enter make
#  followed by one or more of the precisions desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Note that these commands are not safe for parallel builds.
#
#  Alternatively, the commands
#       make all
#  or
#       make
#  without any arguments creates a library of all four precisions.
#  The name of the library is held in BLASLIB, which is set in the
#  top-level make.inc
#
#  To remove the object files after the library is created, enter
#       make clean
#  To force the source files to be recompiled, enter, for example,
#       make single FRC=FRC
#
#---------------------------------------------------------------------
#
#  Edward Anderson, University of Tennessee
#  March 26, 1990
#  Susan Ostrouchov, Last updated September 30, 1994
#  ejr, May 2006.
#
#######################################################################

#---------------------------------------------------------
#  Comment out the next 6 definitions if you already have
#  the Level 1 BLAS.
#---------------------------------------------------------
set(SBLAS1 isamax.c sasum.c saxpy.c scopy.c sdot.c snrm2.c 
	srot.c srotg.c sscal.c sswap.c sdsdot.c srotmg.c srotm.c)

set(CBLAS1 scabs1.c scasum.c scnrm2.c icamax.c caxpy.c ccopy.c 
	cdotc.c cdotu.c csscal.c crotg.c cscal.c cswap.c csrot.c)

set(DBLAS1 idamax.c dasum.c daxpy.c dcopy.c ddot.c dnrm2.c 
	drot.c drotg.c dscal.c dsdot.c dswap.c drotmg.c drotm.c)

set(ZBLAS1 dcabs1.c dzasum.c dznrm2.c izamax.c zaxpy.c zcopy.c 
	zdotc.c zdotu.c zdscal.c zrotg.c zscal.c zswap.c zdrot.c)

set(CB1AUX  isamax.c sasum.c saxpy.c scopy.c snrm2.c sscal.c)

set(ZB1AUX idamax.c dasum.c daxpy.c dcopy.c dnrm2.c dscal.c)

#---------------------------------------------------------------------
#  The following line defines auxiliary routines needed by both the
#  Level 2 and Level 3 BLAS.  Comment it out only if you already have
#  both the Level 2 and 3 BLAS.
#---------------------------------------------------------------------
set(ALLBLAS  lsame.c xerbla.c xerbla_array.c)

#---------------------------------------------------------
#  Comment out the next 4 definitions if you already have
#  the Level 2 BLAS.
#---------------------------------------------------------
set(SBLAS2 sgemv.c sgbmv.c ssymv.c ssbmv.c sspmv.c 
	strmv.c stbmv.c stpmv.c strsv.c stbsv.c stpsv.c 
	sger.c ssyr.c sspr.c ssyr2.c sspr2.c)

set(CBLAS2 cgemv.c cgbmv.c chemv.c chbmv.c chpmv.c 
	ctrmv.c ctbmv.c ctpmv.c ctrsv.c ctbsv.c ctpsv.c 
	cgerc.c cgeru.c cher.c chpr.c cher2.c chpr2.c)

set(DBLAS2 dgemv.c dgbmv.c dsymv.c dsbmv.c dspmv.c 
	dtrmv.c dtbmv.c dtpmv.c dtrsv.c dtbsv.c dtpsv.c 
	dger.c dsyr.c dspr.c dsyr2.c dspr2.c)

set(ZBLAS2 zgemv.c zgbmv.c zhemv.c zhbmv.c zhpmv.c 
	ztrmv.c ztbmv.c ztpmv.c ztrsv.c ztbsv.c ztpsv.c 
	zgerc.c zgeru.c zher.c zhpr.c zher2.c zhpr2.c)

#---------------------------------------------------------
#  Comment out the next 4 definitions if you already have
#  the Level 3 BLAS.
#---------------------------------------------------------
set(SBLAS3 sgemm.c ssymm.c ssyrk.c ssyr2k.c strmm.c strsm.c )

set(CBLAS3 cgemm.c csymm.c csyrk.c csyr2k.c ctrmm.c ctrsm.c 
	chemm.c cherk.c cher2k.c)

set(DBLAS3 dgemm.c dsymm.c dsyrk.c dsyr2k.c dtrmm.c dtrsm.c)

set(ZBLAS3 zgemm.c zsymm.c zsyrk.c zsyr2k.c ztrmm.c ztrsm.c 
	zhemm.c zherk.c zher2k.c)
# default build all of it
set(ALLOBJ ${SBLAS1} ${SBLAS2} ${SBLAS3} ${DBLAS1} ${DBLAS2} ${DBLAS3}	
	${CBLAS1} ${CBLAS2} ${CBLAS3} ${ZBLAS1} 
	${ZBLAS2} ${ZBLAS3} ${ALLBLAS})

if(BLAS_SINGLE)
  set(ALLOBJ ${SBLAS1} ${ALLBLAS} 
	${SBLAS2} ${SBLAS3})
endif()
if(BLAS_DOUBLE)
  set(ALLOBJ ${DBLAS1} ${ALLBLAS} 
	${DBLAS2} ${DBLAS3})
endif()
if(BLAS_COMPLEX)
  set(ALLOBJ  ${BLASLIB} ${CBLAS1} ${CB1AUX} 
	${ALLBLAS} ${CBLAS2})
endif()
if(BLAS_COMPLEX16)
  set(ALLOBJ  ${BLASLIB} ${ZBLAS1} ${ZB1AUX} 
	${ALLBLAS} ${ZBLAS2} ${ZBLAS3})
endif()
  
  
add_library(blas ${ALLOBJ})
if(UNIX)
  target_link_libraries(blas m)
endif()
target_link_libraries(blas f2c)

=== BLAS/TESTING/CMakeLists.txt ===
#######################################################################
#  This makefile creates the test programs for the BLAS 1 routines.
#  The test files are grouped as follows:
#       SBLAT1 -- Single precision real test routines
#       CBLAT1 -- Single precision complex test routines
#       DBLAT1 -- Double precision real test routines
#       ZBLAT1 -- Double precision complex test routines
#
#  Test programs can be generated for all or some of the four different
#  precisions.  To create the test programs, enter make followed by one
#  or more of the precisions desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates all four test programs.
#  The executable files which are created are called
#       ../xblat1s, ../xblat1d, ../xblat1c, and ../xblat1z
#
#  To remove the object files after the executable files have been
#  created, enter
#       make clean
#  To force the source files to be recompiled, enter, for example,
#       make single FRC=FRC
#
#######################################################################

macro(add_blas_test name src)
  get_filename_component(baseNAME ${src} NAME_WE)
  set(TEST_INPUT "${CLAPACK_SOURCE_DIR}/BLAS/${baseNAME}.in")
  add_executable(${name} ${src})
  get_target_property(TEST_LOC ${name} LOCATION)
  target_link_libraries(${name} blas)
  if(EXISTS "${TEST_INPUT}")
    add_test(${name} "${CMAKE_COMMAND}"
      -DTEST=${TEST_LOC}
      -DINPUT=${TEST_INPUT}
      -DINTDIR=${CMAKE_CFG_INTDIR}
      -P "${CLAPACK_SOURCE_DIR}/TESTING/runtest.cmake")
    else()
      add_test(${name} "${CMAKE_COMMAND}" 
        -DTEST=${TEST_LOC}
        -DINTDIR=${CMAKE_CFG_INTDIR}
        -P "${CLAPACK_SOURCE_DIR}/TESTING/runtest.cmake")
    endif()
endmacro(add_blas_test)

add_blas_test(xblat1s sblat1.c)
add_blas_test(xblat1c cblat1.c)
add_blas_test(xblat1d dblat1.c)
add_blas_test(xblat1z zblat1.c)

add_blas_test(xblat2s sblat2.c sblat2.in)
add_blas_test(xblat2c cblat2.c )
add_blas_test(xblat2d dblat2.c)
add_blas_test(xblat2z zblat2.c)

add_blas_test(xblat3s sblat3.c)
add_blas_test(xblat3c cblat3.c)
add_blas_test(xblat3d dblat3.c)
add_blas_test(xblat3z zblat3.c)

=== TESTING/EIG/Makefile ===
include ../../make.inc

########################################################################
#  This is the makefile for the eigenvalue test program from LAPACK.
#  The test files are organized as follows:
#
#     AEIGTST -- Auxiliary test routines used in all precisions
#     SCIGTST -- Auxiliary test routines used in REAL and COMPLEX
#     DZIGTST -- Auxiliary test routines used in DOUBLE PRECISION and
#                COMPLEX*16
#     SEIGTST -- Single precision real test routines
#     CEIGTST -- Single precision complex test routines
#     DEIGTST -- Double precision real test routines
#     ZEIGTST -- Double precision complex test routines
#
#  Test programs can be generated for all or some of the four different
#  precisions.  Enter make followed by one or more of the data types
#  desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates all four test programs.
#  The executable files are called
#       xeigtsts, xeigtstd, xeigtstc, and xeigtstz
#  and are created in the next higher directory level.
#
#  To remove the object files after the executable files have been
#  created, enter
#       make clean
#  On some systems, you can force the source files to be recompiled by
#  entering (for example)
#       make single FRC=FRC
#
########################################################################

AEIGTST = \
   alahdg.o \
   alasum.o \
   alasvm.o \
   alareq.o \
   ilaenv.o \
   xerbla.o \
   xlaenv.o \
   chkxer.o

SCIGTST = slafts.o slahd2.o slasum.o slatb9.o sstech.o sstect.o \
   ssvdch.o ssvdct.o ssxt1.o

SEIGTST = schkee.o \
   sbdt01.o sbdt02.o sbdt03.o \
   schkbb.o schkbd.o schkbk.o schkbl.o schkec.o \
   schkgg.o schkgk.o schkgl.o schkhs.o schksb.o schkst.o \
   sckglm.o sckgqr.o sckgsv.o scklse.o \
   sdrges.o sdrgev.o sdrgsx.o sdrgvx.o \
   sdrvbd.o sdrves.o sdrvev.o sdrvgg.o sdrvsg.o \
   sdrvst.o sdrvsx.o sdrvvx.o \
   serrbd.o serrec.o serred.o serrgg.o serrhs.o serrst.o \
   sget02.o sget10.o sget22.o sget23.o sget24.o sget31.o \
   sget32.o sget33.o sget34.o sget35.o sget36.o \
   sget37.o sget38.o sget39.o sget51.o sget52.o sget53.o \
   sget54.o sglmts.o sgqrts.o sgrqts.o sgsvts.o \
   shst01.o slarfy.o slarhs.o slatm4.o slctes.o slctsx.o slsets.o sort01.o \
   sort03.o ssbt21.o ssgt01.o sslect.o sspt21.o sstt21.o \
   sstt22.o ssyt21.o ssyt22.o

CEIGTST = cchkee.o \
   cbdt01.o cbdt02.o cbdt03.o \
   cchkbb.o cchkbd.o cchkbk.o cchkbl.o cchkec.o \
   cchkgg.o cchkgk.o cchkgl.o cchkhb.o cchkhs.o cchkst.o \
   cckglm.o cckgqr.o cckgsv.o ccklse.o \
   cdrges.o cdrgev.o cdrgsx.o cdrgvx.o \
   cdrvbd.o cdrves.o cdrvev.o cdrvgg.o cdrvsg.o \
   cdrvst.o cdrvsx.o cdrvvx.o \
   cerrbd.o cerrec.o cerred.o cerrgg.o cerrhs.o cerrst.o \
   cget02.o cget10.o cget22.o cget23.o cget24.o \
   cget35.o cget36.o cget37.o cget38.o cget51.o cget52.o \
   cget54.o cglmts.o cgqrts.o cgrqts.o cgsvts.o \
   chbt21.o chet21.o chet22.o chpt21.o chst01.o \
   clarfy.o clarhs.o clatm4.o clctes.o clctsx.o clsets.o csbmv.o \
   csgt01.o cslect.o \
   cstt21.o cstt22.o cunt01.o cunt03.o

DZIGTST = dlafts.o dlahd2.o dlasum.o dlatb9.o dstech.o dstect.o \
   dsvdch.o dsvdct.o dsxt1.o

DEIGTST = dchkee.o \
   dbdt01.o dbdt02.o dbdt03.o \
   dchkbb.o dchkbd.o dchkbk.o dchkbl.o dchkec.o \
   dchkgg.o dchkgk.o dchkgl.o dchkhs.o dchksb.o dchkst.o \
   dckglm.o dckgqr.o dckgsv.o dcklse.o \
   ddrges.o ddrgev.o ddrgsx.o ddrgvx.o \
   ddrvbd.o ddrves.o ddrvev.o ddrvgg.o ddrvsg.o \
   ddrvst.o ddrvsx.o ddrvvx.o \
   derrbd.o derrec.o derred.o derrgg.o derrhs.o derrst.o \
   dget02.o dget10.o dget22.o dget23.o dget24.o dget31.o \
   dget32.o dget33.o dget34.o dget35.o dget36.o \
   dget37.o dget38.o dget39.o dget51.o dget52.o dget53.o \
   dget54.o dglmts.o dgqrts.o dgrqts.o dgsvts.o \
   dhst01.o dlarfy.o dlarhs.o dlatm4.o dlctes.o dlctsx.o dlsets.o dort01.o \
   dort03.o dsbt21.o dsgt01.o dslect.o dspt21.o dstt21.o \
   dstt22.o dsyt21.o dsyt22.o

ZEIGTST = zchkee.o \
   zbdt01.o zbdt02.o zbdt03.o \
   zchkbb.o zchkbd.o zchkbk.o zchkbl.o zchkec.o \
   zchkgg.o zchkgk.o zchkgl.o zchkhb.o zchkhs.o zchkst.o \
   zckglm.o zckgqr.o zckgsv.o zcklse.o \
   zdrges.o zdrgev.o zdrgsx.o zdrgvx.o \
   zdrvbd.o zdrves.o zdrvev.o zdrvgg.o zdrvsg.o \
   zdrvst.o zdrvsx.o zdrvvx.o \
   zerrbd.o zerrec.o zerred.o zerrgg.o zerrhs.o zerrst.o \
   zget02.o zget10.o zget22.o zget23.o zget24.o \
   zget35.o zget36.o zget37.o zget38.o zget51.o zget52.o \
   zget54.o zglmts.o zgqrts.o zgrqts.o zgsvts.o \
   zhbt21.o zhet21.o zhet22.o zhpt21.o zhst01.o \
   zlarfy.o zlarhs.o zlatm4.o zlctes.o zlctsx.o zlsets.o zsbmv.o \
   zsgt01.o zslect.o \
   zstt21.o zstt22.o zunt01.o zunt03.o

all: single complex double complex16

single: ../xeigtsts
complex: ../xeigtstc
double: ../xeigtstd
complex16: ../xeigtstz

../xeigtsts: $(SEIGTST) $(SCIGTST) $(AEIGTST) ; \
          $(CC) $(LOADOPTS)   -o xeigtsts \
          $(SEIGTST) $(SCIGTST) $(AEIGTST) ../../$(TMGLIB) \
		  ../../INSTALL/second.o \
	  ../../$(LAPACKLIB) $(BLASLIB) $(F2CLIB) -lm && mv xeigtsts $@

../xeigtstc: $(CEIGTST) $(SCIGTST) $(AEIGTST) ; \
          $(CC) $(LOADOPTS)   -o xeigtstc \
          $(CEIGTST) $(SCIGTST) $(AEIGTST) ../../$(TMGLIB) \
		  ../../INSTALL/second.o \
	  ../../$(LAPACKLIB) $(BLASLIB) $(F2CLIB) -lm && mv xeigtstc $@

../xeigtstd: $(DEIGTST) $(DZIGTST) $(AEIGTST) ; \
          $(CC) $(LOADOPTS)   -o xeigtstd \
          $(DEIGTST) $(DZIGTST) $(AEIGTST) ../../$(TMGLIB) \
		  ../../INSTALL/dsecnd.o \
	  ../../$(LAPACKLIB) $(BLASLIB) $(F2CLIB) -lm && mv xeigtstd $@

../xeigtstz: $(ZEIGTST) $(DZIGTST) $(AEIGTST) ; \
          $(CC) $(LOADOPTS)   -o xeigtstz \
          $(ZEIGTST) $(DZIGTST) $(AEIGTST) ../../$(TMGLIB) \
		  ../../INSTALL/dsecnd.o \
	  ../../$(LAPACKLIB) $(BLASLIB) $(F2CLIB) -lm && mv xeigtstz $@

$(AEIGTST): $(FRC)
$(SCIGTST): $(FRC)
$(DZIGTST): $(FRC)
$(SEIGTST): $(FRC)
$(CEIGTST): $(FRC)
$(DEIGTST): $(FRC)
$(ZEIGTST): $(FRC)

FRC:
	@FRC=$(FRC)

clean:
	rm -f *.o

schkee.o: schkee.c
	$(CC) $(DRVCFLAGS) -I../../INCLUDE -c $< -o $@
dchkee.o: dchkee.c
	$(CC) $(DRVCFLAGS) -I../../INCLUDE -c $< -o $@
cchkee.o: cchkee.c
	$(CC) $(DRVCFLAGS) -I../../INCLUDE -c $< -o $@
zchkee.o: zchkee.c
	$(CC) $(DRVCFLAGS) -I../../INCLUDE -c $< -o $@

.c.o : ; $(CC) $(CFLAGS) -I../../INCLUDE -c $<

=== TESTING/LIN/CMakeLists.txt ===
set(ALINTST  
   aladhd.c alaerh.c alaesm.c alahd.c alareq.c 
   alasum.c alasvm.c chkxer.c icopy.c ilaenv.c xlaenv.c xerbla.c)

set(SCLNTST slaord.c)

set(DZLNTST dlaord.c )

set(SLINTST  schkaa.c 
   schkeq.c schkgb.c schkge.c schkgt.c 
   schklq.c schkpb.c schkpo.c schkps.c schkpp.c 
   schkpt.c schkq3.c schkql.c schkqp.c schkqr.c schkrq.c 
   schksp.c schksy.c schktb.c schktp.c schktr.c 
   schktz.c 
   sdrvgt.c sdrvls.c sdrvpb.c 
   sdrvpp.c sdrvpt.c sdrvsp.c sdrvsy.c 
   serrgt.c serrlq.c serrls.c 
   serrpo.c serrps.c serrql.c serrqp.c serrqr.c 
   serrrq.c serrsy.c serrtr.c serrtz.c serrvx.c 
   sgbt01.c sgbt02.c sgbt05.c sgelqs.c sgeqls.c sgeqrs.c 
   sgerqs.c sget01.c sget02.c 
   sget03.c sget04.c sget06.c sget07.c sgtt01.c sgtt02.c 
   sgtt05.c slaptm.c slarhs.c slatb4.c slatb5.c slattb.c slattp.c 
   slattr.c slavsp.c slavsy.c slqt01.c slqt02.c 
   slqt03.c spbt01.c spbt02.c spbt05.c spot01.c 
   spot02.c spot03.c spot05.c spst01.c sppt01.c 
   sppt02.c sppt03.c sppt05.c sptt01.c sptt02.c 
   sptt05.c sqlt01.c sqlt02.c sqlt03.c sqpt01.c 
   sqrt01.c sqrt02.c sqrt03.c sqrt11.c sqrt12.c 
   sqrt13.c sqrt14.c sqrt15.c sqrt16.c sqrt17.c 
   srqt01.c srqt02.c srqt03.c srzt01.c srzt02.c 
   sspt01.c ssyt01.c 
   stbt02.c stbt03.c stbt05.c stbt06.c stpt01.c 
   stpt02.c stpt03.c stpt05.c stpt06.c strt01.c 
   strt02.c strt03.c strt05.c strt06.c 
   stzt01.c stzt02.c sgennd.c)

if(USEXBLAS)
  list(APPEND SLINTST sdrvgex.c serrgex.c sdrvgbx.c sdrvpox.c sebchvxx.c)
else()
  list(APPEND SLINTST sdrvge.c serrge.c sdrvgb.c sdrvpo.c)
endif()

set(CLINTST  cchkaa.c 
   cchkeq.c cchkgb.c cchkge.c cchkgt.c 
   cchkhe.c cchkhp.c cchklq.c cchkpb.c 
   cchkpo.c cchkps.c cchkpp.c cchkpt.c cchkq3.c cchkql.c cchkqp.c 
   cchkqr.c cchkrq.c cchksp.c cchksy.c cchktb.c 
   cchktp.c cchktr.c cchktz.c 
   cdrvgt.c cdrvhe.c cdrvhp.c 
   cdrvls.c cdrvpb.c cdrvpp.c cdrvpt.c 
   cdrvsp.c cdrvsy.c 
   cerrgt.c cerrhe.c cerrlq.c 
   cerrls.c cerrps.c cerrql.c cerrqp.c 
   cerrqr.c cerrrq.c cerrsy.c cerrtr.c cerrtz.c 
   cerrvx.c 
   cgbt01.c cgbt02.c cgbt05.c cgelqs.c cgeqls.c cgeqrs.c 
   cgerqs.c cget01.c cget02.c 
   cget03.c cget04.c cget07.c cgtt01.c cgtt02.c 
   cgtt05.c chet01.c chpt01.c claipd.c claptm.c clarhs.c clatb4.c clatb5.c 
   clatsp.c clatsy.c clattb.c clattp.c clattr.c 
   clavhe.c clavhp.c clavsp.c clavsy.c clqt01.c 
   clqt02.c clqt03.c cpbt01.c cpbt02.c cpbt05.c 
   cpot01.c cpot02.c cpot03.c cpot05.c cpst01.c 
   cppt01.c cppt02.c cppt03.c cppt05.c cptt01.c 
   cptt02.c cptt05.c cqlt01.c cqlt02.c cqlt03.c 
   cqpt01.c cqrt01.c cqrt02.c cqrt03.c cqrt11.c 
   cqrt12.c cqrt13.c cqrt14.c cqrt15.c cqrt16.c 
   cqrt17.c crqt01.c crqt02.c crqt03.c crzt01.c crzt02.c 
   csbmv.c  cspt01.c 
   cspt02.c cspt03.c csyt01.c csyt02.c csyt03.c 
   ctbt02.c ctbt03.c ctbt05.c ctbt06.c ctpt01.c 
   ctpt02.c ctpt03.c ctpt05.c ctpt06.c ctrt01.c 
   ctrt02.c ctrt03.c ctrt05.c ctrt06.c 
   ctzt01.c ctzt02.c sget06.c cgennd.c)

if(USEXBLAS)
  list(APPEND 
    CLINTST cdrvgex.c cdrvgbx.c cerrgex.c cdrvpox.c cerrpox.c cebchvxx.c)
else()
  list(APPEND CLINTST cdrvge.c cdrvgb.c cerrge.c cdrvpo.c cerrpo.c)
endif()

set(DLINTST  dchkaa.c 
   dchkeq.c dchkgb.c dchkge.c dchkgt.c 
   dchklq.c dchkpb.c dchkpo.c dchkps.c dchkpp.c 
   dchkpt.c dchkq3.c dchkql.c dchkqp.c dchkqr.c dchkrq.c 
   dchksp.c dchksy.c dchktb.c dchktp.c dchktr.c 
   dchktz.c 
   ddrvgt.c ddrvls.c ddrvpb.c 
   ddrvpp.c ddrvpt.c ddrvsp.c ddrvsy.c 
   derrgt.c derrlq.c derrls.c 
   derrps.c derrql.c derrqp.c derrqr.c 
   derrrq.c derrsy.c derrtr.c derrtz.c derrvx.c 
   dgbt01.c dgbt02.c dgbt05.c dgelqs.c dgeqls.c dgeqrs.c 
   dgerqs.c dget01.c dget02.c 
   dget03.c dget04.c dget06.c dget07.c dgtt01.c dgtt02.c 
   dgtt05.c dlaptm.c dlarhs.c dlatb4.c dlatb5.c dlattb.c dlattp.c 
   dlattr.c dlavsp.c dlavsy.c dlqt01.c dlqt02.c 
   dlqt03.c dpbt01.c dpbt02.c dpbt05.c dpot01.c 
   dpot02.c dpot03.c dpot05.c dpst01.c dppt01.c 
   dppt02.c dppt03.c dppt05.c dptt01.c dptt02.c 
   dptt05.c dqlt01.c dqlt02.c dqlt03.c dqpt01.c 
   dqrt01.c dqrt02.c dqrt03.c dqrt11.c dqrt12.c 
   dqrt13.c dqrt14.c dqrt15.c dqrt16.c dqrt17.c 
   drqt01.c drqt02.c drqt03.c drzt01.c drzt02.c 
   dspt01.c dsyt01.c 
   dtbt02.c dtbt03.c dtbt05.c dtbt06.c dtpt01.c 
   dtpt02.c dtpt03.c dtpt05.c dtpt06.c dtrt01.c 
   dtrt02.c dtrt03.c dtrt05.c dtrt06.c 
   dtzt01.c dtzt02.c dgennd.c)

if(USEXBLAS)
  list(APPEND 
    DLINTST  ddrvgex.c ddrvgbx.c derrgex.c ddrvpox.c derrpox.c debchvxx.c)
else()
  list(APPEND
    DLINTST  ddrvge.c ddrvgb.c derrge.c ddrvpo.c derrpo.c)
endif()

set(ZLINTST  zchkaa.c 
   zchkeq.c zchkgb.c zchkge.c zchkgt.c 
   zchkhe.c zchkhp.c zchklq.c zchkpb.c 
   zchkpo.c zchkps.c zchkpp.c zchkpt.c zchkq3.c zchkql.c zchkqp.c 
   zchkqr.c zchkrq.c zchksp.c zchksy.c zchktb.c 
   zchktp.c zchktr.c zchktz.c 
   zdrvgt.c zdrvhe.c zdrvhp.c 
   zdrvls.c zdrvpb.c zdrvpp.c zdrvpt.c 
   zdrvsp.c zdrvsy.c 
   zerrgt.c zerrhe.c zerrlq.c 
   zerrls.c zerrps.c zerrql.c zerrqp.c 
   zerrqr.c zerrrq.c zerrsy.c zerrtr.c zerrtz.c 
   zerrvx.c 
   zgbt01.c zgbt02.c zgbt05.c zgelqs.c zgeqls.c zgeqrs.c 
   zgerqs.c zget01.c zget02.c 
   zget03.c zget04.c zget07.c zgtt01.c zgtt02.c 
   zgtt05.c zhet01.c zhpt01.c zlaipd.c zlaptm.c zlarhs.c zlatb4.c zlatb5.c 
   zlatsp.c zlatsy.c zlattb.c zlattp.c zlattr.c 
   zlavhe.c zlavhp.c zlavsp.c zlavsy.c zlqt01.c 
   zlqt02.c zlqt03.c zpbt01.c zpbt02.c zpbt05.c 
   zpot01.c zpot02.c zpot03.c zpot05.c zpst01.c 
   zppt01.c zppt02.c zppt03.c zppt05.c zptt01.c 
   zptt02.c zptt05.c zqlt01.c zqlt02.c zqlt03.c 
   zqpt01.c zqrt01.c zqrt02.c zqrt03.c zqrt11.c 
   zqrt12.c zqrt13.c zqrt14.c zqrt15.c zqrt16.c 
   zqrt17.c zrqt01.c zrqt02.c zrqt03.c zrzt01.c zrzt02.c 
   zsbmv.c  zspt01.c 
   zspt02.c zspt03.c zsyt01.c zsyt02.c zsyt03.c 
   ztbt02.c ztbt03.c ztbt05.c ztbt06.c ztpt01.c 
   ztpt02.c ztpt03.c ztpt05.c ztpt06.c ztrt01.c 
   ztrt02.c ztrt03.c ztrt05.c ztrt06.c 
   ztzt01.c ztzt02.c dget06.c zgennd.c)

if(USEXBLAS)
  list(APPEND
    ZLINTST  zdrvgex.c zdrvgbx.c zerrgex.c zdrvpox.c zerrpox.c zebchvxx.c)
else()
  list(APPEND
    ZLINTST  zdrvge.c zdrvgb.c zerrge.c zdrvpo.c zerrpo.c)
endif()

set(DSLINTST  dchkab.c 
	ddrvab.c ddrvac.c derrab.c derrac.c dget08.c          
	alaerh.c alahd.c  aladhd.c alareq.c 
	chkxer.c dlarhs.c dlatb4.c xerbla.c 
	dget02.c dpot06.c)

set(ZCLINTST  zchkab.c 
	zdrvab.c zdrvac.c zerrab.c zerrac.c zget08.c          
	alaerh.c alahd.c  aladhd.c alareq.c 
	chkxer.c zget02.c zlarhs.c zlatb4.c 
	zsbmv.c  xerbla.c zpot06.c zlaipd.c)

set(SLINTSTRFP  schkrfp.c sdrvrfp.c sdrvrf1.c sdrvrf2.c sdrvrf3.c sdrvrf4.c serrrfp.c 
	slatb4.c slarhs.c sget04.c spot01.c spot03.c spot02.c 
	chkxer.c xerbla.c alaerh.c aladhd.c alahd.c alasvm.c )

set(DLINTSTRFP  dchkrfp.c ddrvrfp.c ddrvrf1.c ddrvrf2.c ddrvrf3.c ddrvrf4.c derrrfp.c 
	dlatb4.c dlarhs.c dget04.c dpot01.c dpot03.c dpot02.c 
	chkxer.c xerbla.c alaerh.c aladhd.c alahd.c alasvm.c )

set(CLINTSTRFP  cchkrfp.c cdrvrfp.c cdrvrf1.c cdrvrf2.c cdrvrf3.c cdrvrf4.c cerrrfp.c 
  claipd.c clatb4.c clarhs.c csbmv.c cget04.c cpot01.c cpot03.c cpot02.c 
  chkxer.c xerbla.c alaerh.c aladhd.c alahd.c alasvm.c )

set(ZLINTSTRFP  zchkrfp.c zdrvrfp.c zdrvrf1.c zdrvrf2.c zdrvrf3.c zdrvrf4.c zerrrfp.c 
  zlatb4.c zlaipd.c zlarhs.c zsbmv.c zget04.c zpot01.c zpot03.c zpot02.c 
  chkxer.c xerbla.c alaerh.c aladhd.c alahd.c alasvm.c )

macro(add_lin_executable name )
  add_executable(${name} ${ARGN})
  target_link_libraries(${name} tmglib lapack)
endmacro(add_lin_executable)

add_lin_executable(xlintsts ${ALINTST} ${SCLNTST} ${SLINTST} 
  ${SECOND_SRC} )

add_lin_executable(xlintstc  ${ALINTST} ${CLINTST} ${SCLNTST}
  ${SECOND_SRC} )
 
add_lin_executable(xlintstd  ${ALINTST} ${DLINTST} ${DZLNTST}
  ${DSECOND_SRC})
add_lin_executable(xlintstz  ${ALINTST} ${ZLINTST} ${DZLNTST}
  ${DSECOND_SRC})
 
add_lin_executable(xlintstds ${DSLINTST}
		${SECOND_SRC} 
		${DSECOND_SRC} )
add_lin_executable(xlintstzc ${ZCLINTST}
		${SECOND_SRC} 
		${DSECOND_SRC} )
 
add_lin_executable(xlintstrfs ${SLINTSTRFP}
		${SECOND_SRC})
 
add_lin_executable(xlintstrfd ${DLINTSTRFP}
  ${DSECOND_SRC})
 
add_lin_executable(xlintstrfc  ${CLINTSTRFP}
  ${SECOND_SRC})
add_lin_executable(xlintstrfz ${ZLINTSTRFP}
  ${DSECOND_SRC})

=== TESTING/LIN/Makefile ===
include ../../make.inc

#######################################################################
#  This makefile creates the test programs for the linear equation
#  routines in LAPACK.  The test files are grouped as follows:
#
#       ALINTST -- Auxiliary test routines
#       SLINTST -- Single precision real test routines
#       CLINTST -- Single precision complex test routines
#       SCLNTST -- Single and Complex routines in common
#       DLINTST -- Double precision real test routines
#       ZLINTST -- Double precision complex test routines
#       DZLNTST -- Double and Double Complex routines in common
#
#  Test programs can be generated for all or some of the four different
#  precisions.  Enter make followed by one or more of the data types
#  desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates all four test programs.
#  The executable files are called
#       xlintims, xlintimd, xlintimc, and xlintimz
#  and are created in the next higher directory level.
#
#  To remove the object files after the executable files have been
#  created, enter
#       make clean
#  On some systems, you can force the source files to be recompiled by
#  entering (for example)
#       make single FRC=FRC
#
#######################################################################

ifneq ($(strip $(VARLIB)),)
    LAPACKLIB :=  $(VARLIB) ../../$(LAPACKLIB)
endif

ALINTST = \
   aladhd.o alaerh.o alaesm.o alahd.o alareq.o \
   alasum.o alasvm.o chkxer.o icopy.o ilaenv.o xlaenv.o xerbla.o

SCLNTST= slaord.o

DZLNTST= dlaord.o 

SLINTST = schkaa.o \
   schkeq.o schkgb.o schkge.o schkgt.o \
   schklq.o schkpb.o schkpo.o schkps.o schkpp.o \
   schkpt.o schkq3.o schkql.o schkqp.o schkqr.o schkrq.o \
   schksp.o schksy.o schktb.o schktp.o schktr.o \
   schktz.o \
   sdrvgt.o sdrvls.o sdrvpb.o \
   sdrvpp.o sdrvpt.o sdrvsp.o sdrvsy.o \
   serrgt.o serrlq.o serrls.o \
   serrpo.o serrps.o serrql.o serrqp.o serrqr.o \
   serrrq.o serrsy.o serrtr.o serrtz.o serrvx.o \
   sgbt01.o sgbt02.o sgbt05.o sgelqs.o sgeqls.o sgeqrs.o \
   sgerqs.o sget01.o sget02.o \
   sget03.o sget04.o sget06.o sget07.o sgtt01.o sgtt02.o \
   sgtt05.o slaptm.o slarhs.o slatb4.o slatb5.o slattb.o slattp.o \
   slattr.o slavsp.o slavsy.o slqt01.o slqt02.o \
   slqt03.o spbt01.o spbt02.o spbt05.o spot01.o \
   spot02.o spot03.o spot05.o spst01.o sppt01.o \
   sppt02.o sppt03.o sppt05.o sptt01.o sptt02.o \
   sptt05.o sqlt01.o sqlt02.o sqlt03.o sqpt01.o \
   sqrt01.o sqrt02.o sqrt03.o sqrt11.o sqrt12.o \
   sqrt13.o sqrt14.o sqrt15.o sqrt16.o sqrt17.o \
   srqt01.o srqt02.o srqt03.o srzt01.o srzt02.o \
   sspt01.o ssyt01.o \
   stbt02.o stbt03.o stbt05.o stbt06.o stpt01.o \
   stpt02.o stpt03.o stpt05.o stpt06.o strt01.o \
   strt02.o strt03.o strt05.o strt06.o \
   stzt01.o stzt02.o sgennd.o

ifdef USEXBLAS
SLINTST += sdrvgex.o serrgex.o sdrvgbx.o sdrvpox.o sebchvxx.o
else
SLINTST += sdrvge.o serrge.o sdrvgb.o sdrvpo.o
endif

CLINTST = cchkaa.o \
   cchkeq.o cchkgb.o cchkge.o cchkgt.o \
   cchkhe.o cchkhp.o cchklq.o cchkpb.o \
   cchkpo.o cchkps.o cchkpp.o cchkpt.o cchkq3.o cchkql.o cchkqp.o \
   cchkqr.o cchkrq.o cchksp.o cchksy.o cchktb.o \
   cchktp.o cchktr.o cchktz.o \
   cdrvgt.o cdrvhe.o cdrvhp.o \
   cdrvls.o cdrvpb.o cdrvpp.o cdrvpt.o \
   cdrvsp.o cdrvsy.o \
   cerrgt.o cerrhe.o cerrlq.o \
   cerrls.o cerrps.o cerrql.o cerrqp.o \
   cerrqr.o cerrrq.o cerrsy.o cerrtr.o cerrtz.o \
   cerrvx.o \
   cgbt01.o cgbt02.o cgbt05.o cgelqs.o cgeqls.o cgeqrs.o \
   cgerqs.o cget01.o cget02.o \
   cget03.o cget04.o cget07.o cgtt01.o cgtt02.o \
   cgtt05.o chet01.o chpt01.o claipd.o claptm.o clarhs.o clatb4.o clatb5.o \
   clatsp.o clatsy.o clattb.o clattp.o clattr.o \
   clavhe.o clavhp.o clavsp.o clavsy.o clqt01.o \
   clqt02.o clqt03.o cpbt01.o cpbt02.o cpbt05.o \
   cpot01.o cpot02.o cpot03.o cpot05.o cpst01.o \
   cppt01.o cppt02.o cppt03.o cppt05.o cptt01.o \
   cptt02.o cptt05.o cqlt01.o cqlt02.o cqlt03.o \
   cqpt01.o cqrt01.o cqrt02.o cqrt03.o cqrt11.o \
   cqrt12.o cqrt13.o cqrt14.o cqrt15.o cqrt16.o \
   cqrt17.o crqt01.o crqt02.o crqt03.o crzt01.o crzt02.o \
   csbmv.o  cspt01.o \
   cspt02.o cspt03.o csyt01.o csyt02.o csyt03.o \
   ctbt02.o ctbt03.o ctbt05.o ctbt06.o ctpt01.o \
   ctpt02.o ctpt03.o ctpt05.o ctpt06.o ctrt01.o \
   ctrt02.o ctrt03.o ctrt05.o ctrt06.o \
   ctzt01.o ctzt02.o sget06.o cgennd.o

ifdef USEXBLAS
CLINTST += cdrvgex.o cdrvgbx.o cerrgex.o cdrvpox.o cerrpox.o cebchvxx.o
else
CLINTST += cdrvge.o cdrvgb.o cerrge.o cdrvpo.o cerrpo.o
endif

DLINTST = dchkaa.o \
   dchkeq.o dchkgb.o dchkge.o dchkgt.o \
   dchklq.o dchkpb.o dchkpo.o dchkps.o dchkpp.o \
   dchkpt.o dchkq3.o dchkql.o dchkqp.o dchkqr.o dchkrq.o \
   dchksp.o dchksy.o dchktb.o dchktp.o dchktr.o \
   dchktz.o \
   ddrvgt.o ddrvls.o ddrvpb.o \
   ddrvpp.o ddrvpt.o ddrvsp.o ddrvsy.o \
   derrgt.o derrlq.o derrls.o \
   derrps.o derrql.o derrqp.o derrqr.o \
   derrrq.o derrsy.o derrtr.o derrtz.o derrvx.o \
   dgbt01.o dgbt02.o dgbt05.o dgelqs.o dgeqls.o dgeqrs.o \
   dgerqs.o dget01.o dget02.o \
   dget03.o dget04.o dget06.o dget07.o dgtt01.o dgtt02.o \
   dgtt05.o dlaptm.o dlarhs.o dlatb4.o dlatb5.o dlattb.o dlattp.o \
   dlattr.o dlavsp.o dlavsy.o dlqt01.o dlqt02.o \
   dlqt03.o dpbt01.o dpbt02.o dpbt05.o dpot01.o \
   dpot02.o dpot03.o dpot05.o dpst01.o dppt01.o \
   dppt02.o dppt03.o dppt05.o dptt01.o dptt02.o \
   dptt05.o dqlt01.o dqlt02.o dqlt03.o dqpt01.o \
   dqrt01.o dqrt02.o dqrt03.o dqrt11.o dqrt12.o \
   dqrt13.o dqrt14.o dqrt15.o dqrt16.o dqrt17.o \
   drqt01.o drqt02.o drqt03.o drzt01.o drzt02.o \
   dspt01.o dsyt01.o \
   dtbt02.o dtbt03.o dtbt05.o dtbt06.o dtpt01.o \
   dtpt02.o dtpt03.o dtpt05.o dtpt06.o dtrt01.o \
   dtrt02.o dtrt03.o dtrt05.o dtrt06.o \
   dtzt01.o dtzt02.o dgennd.o

ifdef USEXBLAS
DLINTST += ddrvgex.o ddrvgbx.o derrgex.o ddrvpox.o derrpox.o debchvxx.o
else
DLINTST += ddrvge.o ddrvgb.o derrge.o ddrvpo.o derrpo.o
endif

ZLINTST = zchkaa.o \
   zchkeq.o zchkgb.o zchkge.o zchkgt.o \
   zchkhe.o zchkhp.o zchklq.o zchkpb.o \
   zchkpo.o zchkps.o zchkpp.o zchkpt.o zchkq3.o zchkql.o zchkqp.o \
   zchkqr.o zchkrq.o zchksp.o zchksy.o zchktb.o \
   zchktp.o zchktr.o zchktz.o \
   zdrvgt.o zdrvhe.o zdrvhp.o \
   zdrvls.o zdrvpb.o zdrvpp.o zdrvpt.o \
   zdrvsp.o zdrvsy.o \
   zerrgt.o zerrhe.o zerrlq.o \
   zerrls.o zerrps.o zerrql.o zerrqp.o \
   zerrqr.o zerrrq.o zerrsy.o zerrtr.o zerrtz.o \
   zerrvx.o \
   zgbt01.o zgbt02.o zgbt05.o zgelqs.o zgeqls.o zgeqrs.o \
   zgerqs.o zget01.o zget02.o \
   zget03.o zget04.o zget07.o zgtt01.o zgtt02.o \
   zgtt05.o zhet01.o zhpt01.o zlaipd.o zlaptm.o zlarhs.o zlatb4.o zlatb5.o \
   zlatsp.o zlatsy.o zlattb.o zlattp.o zlattr.o \
   zlavhe.o zlavhp.o zlavsp.o zlavsy.o zlqt01.o \
   zlqt02.o zlqt03.o zpbt01.o zpbt02.o zpbt05.o \
   zpot01.o zpot02.o zpot03.o zpot05.o zpst01.o \
   zppt01.o zppt02.o zppt03.o zppt05.o zptt01.o \
   zptt02.o zptt05.o zqlt01.o zqlt02.o zqlt03.o \
   zqpt01.o zqrt01.o zqrt02.o zqrt03.o zqrt11.o \
   zqrt12.o zqrt13.o zqrt14.o zqrt15.o zqrt16.o \
   zqrt17.o zrqt01.o zrqt02.o zrqt03.o zrzt01.o zrzt02.o \
   zsbmv.o  zspt01.o \
   zspt02.o zspt03.o zsyt01.o zsyt02.o zsyt03.o \
   ztbt02.o ztbt03.o ztbt05.o ztbt06.o ztpt01.o \
   ztpt02.o ztpt03.o ztpt05.o ztpt06.o ztrt01.o \
   ztrt02.o ztrt03.o ztrt05.o ztrt06.o \
   ztzt01.o ztzt02.o dget06.o zgennd.o

ifdef USEXBLAS
ZLINTST += zdrvgex.o zdrvgbx.o zerrgex.o zdrvpox.o zerrpox.o zebchvxx.o
else
ZLINTST += zdrvge.o zdrvgb.o zerrge.o zdrvpo.o zerrpo.o
endif

DSLINTST = dchkab.o \
	ddrvab.o ddrvac.o derrab.o derrac.o dget08.o          \
	alaerh.o alahd.o  aladhd.o alareq.o \
	chkxer.o dlarhs.o dlatb4.o xerbla.o \
	dget02.o dpot06.o

ZCLINTST = zchkab.o \
	zdrvab.o zdrvac.o zerrab.o zerrac.o zget08.o          \
	alaerh.o alahd.o  aladhd.o alareq.o \
	chkxer.o zget02.o zlarhs.o zlatb4.o \
	zsbmv.o  xerbla.o zpot06.o zlaipd.o

SLINTSTRFP = schkrfp.o sdrvrfp.o sdrvrf1.o sdrvrf2.o sdrvrf3.o sdrvrf4.o serrrfp.o \
	slatb4.o slarhs.o sget04.o spot01.o spot03.o spot02.o \
	chkxer.o xerbla.o alaerh.o aladhd.o alahd.o alasvm.o 

DLINTSTRFP = dchkrfp.o ddrvrfp.o ddrvrf1.o ddrvrf2.o ddrvrf3.o ddrvrf4.o derrrfp.o \
	dlatb4.o dlarhs.o dget04.o dpot01.o dpot03.o dpot02.o \
	chkxer.o xerbla.o alaerh.o aladhd.o alahd.o alasvm.o 

CLINTSTRFP = cchkrfp.o cdrvrfp.o cdrvrf1.o cdrvrf2.o cdrvrf3.o cdrvrf4.o cerrrfp.o \
	claipd.o clatb4.o clarhs.o csbmv.o cget04.o cpot01.o cpot03.o cpot02.o \
	chkxer.o xerbla.o alaerh.o aladhd.o alahd.o alasvm.o 

ZLINTSTRFP = zchkrfp.o zdrvrfp.o zdrvrf1.o zdrvrf2.o zdrvrf3.o zdrvrf4.o zerrrfp.o \
	zlatb4.o zlaipd.o zlarhs.o zsbmv.o zget04.o zpot01.o zpot03.o zpot02.o \
	chkxer.o xerbla.o alaerh.o aladhd.o alahd.o alasvm.o 

all:  single double complex complex16 proto-single proto-double proto-complex proto-complex16

single: ../xlintsts
double: ../xlintstd
complex: ../xlintstc
complex16: ../xlintstz 

proto-single: ../xlintstrfs
proto-double: ../xlintstds ../xlintstrfd
proto-complex: ../xlintstrfc
proto-complex16: ../xlintstzc ../xlintstrfz

../xlintsts : $(ALINTST) $(SLINTST) $(SCLNTST)
	$(CC) $(LOADOPTS)    $(ALINTST) $(SCLNTST) $(SLINTST) \
		../../INSTALL/second.o \
        ../../$(TMGLIB) ../../$(LAPACKLIB) $(XBLASLIB)  $(BLASLIB) $(F2CLIB) -lm -o xlintsts && mv xlintsts $@

../xlintstc : $(ALINTST) $(CLINTST) $(SCLNTST)
	$(CC) $(LOADOPTS)    $(ALINTST) $(SCLNTST) $(CLINTST) \
		../../INSTALL/second.o \
        ../../$(TMGLIB) ../../$(LAPACKLIB) $(XBLASLIB)  $(BLASLIB) $(F2CLIB) -lm -o xlintstc && mv xlintstc $@
 
../xlintstd : $(ALINTST) $(DLINTST) $(DZLNTST)
	$(CC) $(LOADOPTS)   $^ \
		../../INSTALL/dsecnd.o \
        ../../$(TMGLIB) ../../$(LAPACKLIB) $(XBLASLIB) $(BLASLIB) $(F2CLIB) -lm -o xlintstd && mv xlintstd $@
 
../xlintstz : $(ALINTST) $(ZLINTST) $(DZLNTST)
	$(CC) $(LOADOPTS)    $(ALINTST) $(DZLNTST) $(ZLINTST) \
		../../INSTALL/dsecnd.o \
        ../../$(TMGLIB) ../../$(LAPACKLIB) $(XBLASLIB)  $(BLASLIB) $(F2CLIB) -lm -o xlintstz && mv xlintstz $@
 
../xlintstds : $(DSLINTST)
	$(CC) $(LOADOPTS)    $(DSLINTST) \
		../../INSTALL/second.o \
		../../INSTALL/dsecnd.o \
        ../../$(TMGLIB) ../../$(LAPACKLIB) $(BLASLIB) $(F2CLIB) -lm -o xlintstds && mv xlintstds $@
 
../xlintstzc : $(ZCLINTST)
	$(CC) $(LOADOPTS)    $(ZCLINTST) \
		../../INSTALL/second.o \
		../../INSTALL/dsecnd.o \
        ../../$(TMGLIB) ../../$(LAPACKLIB) $(BLASLIB) $(F2CLIB) -lm -o xlintstzc && mv xlintstzc $@
 
../xlintstrfs : $(SLINTSTRFP)
	$(CC) $(LOADOPTS)    $(SLINTSTRFP) \
		../../INSTALL/second.o \
        ../../$(TMGLIB) ../../$(LAPACKLIB) $(BLASLIB) $(F2CLIB) -lm -o xlintstrfs && mv xlintstrfs $@
 
../xlintstrfd : $(DLINTSTRFP)
	$(CC) $(LOADOPTS)    $(DLINTSTRFP) \
		../../INSTALL/dsecnd.o \
        ../../$(TMGLIB) ../../$(LAPACKLIB) $(BLASLIB) $(F2CLIB) -lm -o xlintstrfd && mv xlintstrfd $@
 
../xlintstrfc : $(CLINTSTRFP)
	$(CC) $(LOADOPTS)    $(CLINTSTRFP) \
		../../INSTALL/second.o \
        ../../$(TMGLIB) ../../$(LAPACKLIB) $(BLASLIB) $(F2CLIB) -lm -o xlintstrfc && mv xlintstrfc $@
 
../xlintstrfz : $(ZLINTSTRFP)
	$(CC) $(LOADOPTS)    $(ZLINTSTRFP) \
		../../INSTALL/dsecnd.o \
        ../../$(TMGLIB) ../../$(LAPACKLIB) $(BLASLIB) $(F2CLIB) -lm -o xlintstrfz && mv xlintstrfz $@
 
$(ALINTST): $(FRC)
$(SCLNTST): $(FRC)
$(DZLNTST): $(FRC)
$(SLINTST): $(FRC)
$(CLINTST): $(FRC)
$(DLINTST): $(FRC)
$(ZLINTST): $(FRC)

FRC:
	@FRC=$(FRC)
 
clean:
	rm -f *.o

schkaa.o: schkaa.c
	$(CC) $(DRVCFLAGS) -I../../INCLUDE -c $< -o $@
dchkaa.o: dchkaa.c
	$(CC) $(DRVCFLAGS) -I../../INCLUDE -c $< -o $@
cchkaa.o: cchkaa.c
	$(CC) $(DRVCFLAGS) -I../../INCLUDE -c $< -o $@
zchkaa.o: zchkaa.c
	$(CC) $(DRVCFLAGS) -I../../INCLUDE -c $< -o $@
 
.c.o: 
	$(CC) $(CFLAGS) -I../../INCLUDE -c $<

=== TESTING/MATGEN/CMakeLists.txt ===
#######################################################################
#  This is the makefile to create a library of the test matrix
#  generators used in LAPACK.  The files are organized as follows:
#
#     SCATGEN  -- Auxiliary routines called from both REAL and COMPLEX
#     DZATGEN  -- Auxiliary routines called from both DOUBLE PRECISION
#                 and COMPLEX*16
#     SMATGEN  -- Single precision real matrix generation routines
#     CMATGEN  -- Single precision complex matrix generation routines
#     DMATGEN  -- Double precision real matrix generation routines
#     ZMATGEN  -- Double precision complex matrix generation routines
#
#  The library can be set up to include routines for any combination
#  of the four precisions.  To create or add to the library, enter make
#  followed by one or more of the precisions desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates a library of all four precisions.
#  The library is called
#       tmglib.a
#  and is created at the LAPACK directory level.
#
#  To remove the object files after the library is created, enter
#       make clean
#  On some systems, you can force the source files to be recompiled by
#  entering (for example)
#       make single FRC=FRC
#
#######################################################################
 
set(SCATGEN  slatm1.c slaran.c slarnd.c)

set(SMATGEN  slatms.c slatme.c slatmr.c slatmt.c 
   slagge.c slagsy.c slakf2.c slarge.c slaror.c slarot.c slatm2.c 
   slatm3.c slatm5.c slatm6.c slatm7.c slahilb.c)

set(CMATGEN  clatms.c clatme.c clatmr.c clatmt.c 
   clagge.c claghe.c clagsy.c clakf2.c clarge.c claror.c clarot.c 
   clatm1.c clarnd.c clatm2.c clatm3.c clatm5.c clatm6.c clahilb.c)

set(DZATGEN  dlatm1.c dlaran.c dlarnd.c)

set(DMATGEN  dlatms.c dlatme.c dlatmr.c dlatmt.c 
   dlagge.c dlagsy.c dlakf2.c dlarge.c dlaror.c dlarot.c dlatm2.c 
   dlatm3.c dlatm5.c dlatm6.c dlatm7.c dlahilb.c)

set(ZMATGEN  zlatms.c zlatme.c zlatmr.c zlatmt.c 
  zlagge.c zlaghe.c zlagsy.c zlakf2.c zlarge.c zlaror.c zlarot.c 
  zlatm1.c zlarnd.c zlatm2.c zlatm3.c zlatm5.c zlatm6.c zlahilb.c)

set(ALLOBJ ${SMATGEN} ${CMATGEN} ${SCATGEN} ${DMATGEN} ${ZMATGEN}
  ${DZATGEN})
if(BUILD_SINGLE)
  set(ALLOBJ $(SMATGEN) $(SCATGEN))
endif()
if(BUILD_DOUBLE)
  set(ALLOBJ $(DMATGEN) $(DZATGEN))
endif()
if(BUILD_COMPLEX)
  set(ALLOBJ  $(CMATGEN) $(SCATGEN))
endif()
if(BUILD_COMPLEX16)
  set(ALLOBJ $(ZMATGEN) $(DZATGEN))
endif()
add_library(tmglib ${ALLOBJ} )

=== debian/changelog ===
clapack (3.2.1+dfsg-1) unstable; urgency=medium

  * Initial Release. (Closes: #825538)

 -- Andreas Tille <tille@debian.org>  Mon, 30 May 2016 09:09:12 +0200

=== debian/control ===
Source: clapack
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               d-shlibs,
               libf2c2-dev (>= 20130926),
               chrpath
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/clapack.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/clapack.git
Homepage: http://www.netlib.org/clapack/

Package: libcblas3
Architecture: any
Section: libs
Provides: libcblas.so.3
Depends: ${shlibs:Depends}, ${misc:Depends}, libblas-common
Description: Basic Linear Algebra Reference implementations, shared library
 BLAS (Basic Linear Algebra Subroutines) is a set of efficient
 routines for most of the basic vector and matrix operations.
 They are widely used as the basis for other high quality linear
 algebra software, for example lapack and linpack.  This
 implementation is the Fortran 77 reference implementation found
 at netlib.
 .
 This implementation of the library belongs to the CLAPACK distribution.
 .
 This package contains a shared version of the library.

Package: libcblas-dev
Architecture: any
Section: libdevel
Provides: libcblas.so
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libcblas3 (= ${binary:Version})
Description: Basic Linear Algebra Subroutines 3, static library
 This package is a binary incompatible upgrade to the blas-dev
 package. Several minor changes to the C interface have been
 incorporated.
 .
 BLAS (Basic Linear Algebra Subroutines) is a set of efficient
 routines for most of the basic vector and matrix operations.
 They are widely used as the basis for other high quality linear
 algebra software, for example lapack and linpack.  This
 implementation is the Fortran 77 reference implementation found
 at netlib.
 .
 This implementation of the library belongs to the CLAPACK distribution.
 .
 This package contains a static version of the library.

Package: libclapack3
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: libclapack.so.3
Description: C Library of FORTRAN linear algebra routines - shared version
 CLAPACK a comprehensive FORTRAN library that does linear algebra
 operations including matrix inversions, least squared solutions to
 linear sets of equations, eigenvector analysis, singular value
 decomposition, etc. It is a very comprehensive and reputable package
 that has found extensive use in the scientific community.
 .
 This package contains a shared version of the library.

Package: libclapack-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libclapack3 (= ${binary:Version})
Description: C Library of FORTRAN linear algebra routines - development
 CLAPACK a comprehensive FORTRAN library that does linear algebra
 operations including matrix inversions, least squared solutions to
 linear sets of equations, eigenvector analysis, singular value
 decomposition, etc. It is a very comprehensive and reputable package
 that has found extensive use in the scientific community.
 .
 This package contains development files for the C language library for
 CLAPACK, including a static version of the library.

Package: libctmg3
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: test matrix generators of CLAPACK - shared version
 libtmglib is a component of the CLAPACK library, containing routines for
 generation of input matrices for testing and timing of CLAPACK.
 .
 This package contains a shared version of the library.

Package: libctmg-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libctmg3 (= ${binary:Version}),
         libcblas-dev,
         libclapack-dev
Description: test matrix generators of CLAPACK - development files
 libtmglib is a component of the CLAPACK library, containing routines for
 generation of input matrices for testing and timing of CLAPACK.
 .
 This package contains development files, including a static version of the
 library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING_FORMAT:=0
DPKG_EXPORT_BUILDFLAGS = 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --buildsystem=cmake

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --override s/libf2clibf2c.so-dev/libf2c2-dev/ \
		    --movedev INCLUDE/blaswrap.h usr/include \
		    */BLAS/SRC/libcblas.so
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --override s/libcblas3-dev/libcblas-dev/ \
		    --movedev INCLUDE/clapack.h usr/include \
		    */SRC/libclapack.so
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    */TESTING/MATGEN/libctmg.so
	chrpath --delete debian/*/usr/lib/*/libclapack.so.*

=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  http://www.netlib.org/clapack/ clapack-([\d\.]+)-CMAKE.tgz
